using System;
using System.Collections;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using oktellClient.Controls;

namespace OktellPlugin
{

	/// <summary>
	///   () ""
	/// </summary>
	public class Control01 : System.Windows.Forms.UserControl
	{
		#region Controls
		private oktellClient.Controls.oktellUpDownButton btnShowHide;
		private System.Windows.Forms.Panel panel12;
		private System.Windows.Forms.Panel panel11;
		private System.Windows.Forms.Panel pnlParent;
		private System.Windows.Forms.Panel panel2;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Panel panel13;
		private oktellClient.Controls.oktellButton btnFilter;
		private System.Windows.Forms.Label lblList;
		private System.Windows.Forms.Label lblFilter;
		private System.Windows.Forms.Label vrt1;
		private oktellClient.Controls.oktellTextEdit2 txtCity;
		private System.Windows.Forms.Label lblCity;
		private oktellClient.Controls.oktellTextEdit2 txtIndex;
		private System.Windows.Forms.Label lblIndeks;
		private oktellClient.Controls.oktellTextEdit2 txtRegion;
		private System.Windows.Forms.Label lblRegion;
		private System.Windows.Forms.Label lblTip_work;
		private System.Windows.Forms.Label lblKonsult;
		private System.Windows.Forms.Label lblInteres;
		private System.Windows.Forms.Label lblType;
		private oktellClient.Controls.oktellTextEdit2 txtName;
		private System.Windows.Forms.Label lblName;
		private oktellClient.Controls.oktellButtonBar buttonBar;
		private System.Windows.Forms.Label vrt2;
		private oktellClient.Controls.oktellComboCheckSet setManager;
		private oktellClient.Controls.oktellComboCheckSet setWorkType;
		private System.Windows.Forms.Label lblCount;
		private oktellClient.Controls.oktellCheckBox boxRecall;
		private System.Windows.Forms.Label oktellLabel1;
		private oktellClient.Controls.oktellComboCheckSet setType;
		private System.ComponentModel.Container components = null;
		#endregion
		private oktellClient.Controls.OGrid2 GrdControl;

		public event Base.PluginQueryInvoker OnQuery;
		public event ControlParent.EditClickHandler EditClick;


		private oktellClient.Controls.oktellComboBox2 cbxInteres2;

		#region Common
		public Control01()
		{
			InitializeComponent();

			Base.OnManagersChanged +=new OktellPlugin.Base.ManagersChangedHandler(Base_OnManagersChanged);

			TreeSimpleItemInfo item;
			Base.TypeComboItems Tag;
			
			// 
			item = new TreeSimpleItemInfo ();
			item.Checked = true;
			item.Tag = Tag = new Base.TypeComboItems("",0);
			item.Text = Tag.Caption;
			setType.Items.Add ( item );
			
			item = new TreeSimpleItemInfo ();
			item.Checked = true;
			item.Tag = Tag = new Base.TypeComboItems(" ",1);
			item.Text = Tag.Caption;
			setType.Items.Add ( item );
			
			item = new TreeSimpleItemInfo ();
			item.Checked = true;
			item.Tag = Tag = new Base.TypeComboItems("",2);
			item.Text = Tag.Caption;
			setType.Items.Add ( item );
			
			item = new TreeSimpleItemInfo ();
			item.Checked = true;
			item.Tag = Tag = new Base.TypeComboItems(" ",3);
			item.Text = Tag.Caption;
			setType.Items.Add ( item );

			cbxInteres2.Properties.Items.Add ( new Base.TypeComboItems("     ",2) );
			cbxInteres2.Properties.Items.Add ( new Base.TypeComboItems("     ",-1) );
			cbxInteres2.Properties.Items.Add ( new Base.TypeComboItems("     ",0) );
			cbxInteres2.Properties.Items.Add ( new Base.TypeComboItems("     ",1) );
			cbxInteres2.SelectedIndex = 0;


			buttonBar.RightButtons.Add(new oktellClient.Controls.ButtonProperty ("", "Ins", Keys.NoName , 1));
			buttonBar.RightButtons.Add(new oktellClient.Controls.ButtonProperty("", "Enter", Keys.NoName , 2));
			buttonBar.RightButtons.Add(new oktellClient.Controls.ButtonProperty("", "Del", Keys.NoName , 3));
			buttonBar.OnButtonPressed += new oktellClient.Controls.ButtonPressed_handler(buttonBar_OnButtonPressed);


            //buttonBar.LeftButtons.Add(new oktellClient.Controls.ButtonProperty("", "", Keys.NoName , 5));
            //buttonBar.LeftButtons.Add(new oktellClient.Controls.ButtonProperty("", "", Keys.NoName , 4));
			this.Dock = DockStyle.Fill;

			cbxRecall.DateStart = DateTime.Now.Date;
			cbxRecall.DateStop = DateTime.Now.Date;


			GrdControl.CustomDrawCell += new oktellClient.Controls.OGrid2.CustomDrawHandler(GrdControl_CustomDrawCell);
			GrdControl.KeyDown += new KeyEventHandler(GrdControl_KeyDown);
			GrdControl.DoubleClick += new EventHandler(GrdControl_DoubleClick);
			GrdControl.Columns = new OGrid2.CDataColumn[]{ColName, ColTip_work, ColType, ColCity, ColRegion, ColIndeks, ColManager, ColRecall, ColPic};
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            oktell.UI.ControlButton controlButton1 = new oktell.UI.ControlButton ();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager (typeof (Control01));
            oktell.UI.ControlButton controlButton2 = new oktell.UI.ControlButton ();
            oktell.UI.ControlButton controlButton3 = new oktell.UI.ControlButton ();
            oktell.UI.ControlButton controlButton4 = new oktell.UI.ControlButton ();
            oktell.UI.ControlButton controlButton5 = new oktell.UI.ControlButton ();
            this.pnlParent = new System.Windows.Forms.Panel ();
            this.panel2 = new System.Windows.Forms.Panel ();
            this.GrdControl = new oktellClient.Controls.OGrid2 ();
            this.lblCount = new System.Windows.Forms.Label ();
            this.lblList = new System.Windows.Forms.Label ();
            this.panel1 = new System.Windows.Forms.Panel ();
            this.panel13 = new System.Windows.Forms.Panel ();
            this.vrt2 = new System.Windows.Forms.Label ();
            this.btnFilter = new oktellClient.Controls.oktellButton ();
            this.btnShowHide = new oktellClient.Controls.oktellUpDownButton ();
            this.lblFilter = new System.Windows.Forms.Label ();
            this.panel12 = new System.Windows.Forms.Panel ();
            this.setWorkType = new oktellClient.Controls.oktellComboCheckSet ();
            this.vrt1 = new System.Windows.Forms.Label ();
            this.txtCity = new oktellClient.Controls.oktellTextEdit2 ();
            this.lblCity = new System.Windows.Forms.Label ();
            this.txtIndex = new oktellClient.Controls.oktellTextEdit2 ();
            this.lblIndeks = new System.Windows.Forms.Label ();
            this.txtRegion = new oktellClient.Controls.oktellTextEdit2 ();
            this.lblRegion = new System.Windows.Forms.Label ();
            this.lblTip_work = new System.Windows.Forms.Label ();
            this.panel11 = new System.Windows.Forms.Panel ();
            this.cbxInteres2 = new oktellClient.Controls.oktellComboBox2 ();
            this.setType = new oktellClient.Controls.oktellComboCheckSet ();
            this.oktellLabel1 = new System.Windows.Forms.Label ();
            this.boxRecall = new oktellClient.Controls.oktellCheckBox ();
            this.setManager = new oktellClient.Controls.oktellComboCheckSet ();
            this.lblKonsult = new System.Windows.Forms.Label ();
            this.lblInteres = new System.Windows.Forms.Label ();
            this.lblType = new System.Windows.Forms.Label ();
            this.txtName = new oktellClient.Controls.oktellTextEdit2 ();
            this.lblName = new System.Windows.Forms.Label ();
            this.cbxRecall = new oktellClient.Controls.oktellCalendarComboBox ();
            this.buttonBar = new oktellClient.Controls.oktellButtonBar ();
            this.pnlParent.SuspendLayout ();
            this.panel2.SuspendLayout ();
            this.panel1.SuspendLayout ();
            this.panel13.SuspendLayout ();
            ((System.ComponentModel.ISupportInitialize) (this.btnShowHide)).BeginInit ();
            this.panel12.SuspendLayout ();
            this.panel11.SuspendLayout ();
            this.SuspendLayout ();
            // 
            // pnlParent
            // 
            this.pnlParent.Anchor = ((System.Windows.Forms.AnchorStyles) ((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.pnlParent.Controls.Add (this.panel2);
            this.pnlParent.Controls.Add (this.panel1);
            this.pnlParent.Location = new System.Drawing.Point (8, 8);
            this.pnlParent.Name = "pnlParent";
            this.pnlParent.Size = new System.Drawing.Size (824, 504);
            this.pnlParent.TabIndex = 3;
            // 
            // panel2
            // 
            this.panel2.Controls.Add (this.GrdControl);
            this.panel2.Controls.Add (this.lblCount);
            this.panel2.Controls.Add (this.lblList);
            this.panel2.Dock = System.Windows.Forms.DockStyle.Fill;
            this.panel2.Location = new System.Drawing.Point (0, 160);
            this.panel2.Name = "panel2";
            this.panel2.Size = new System.Drawing.Size (824, 344);
            this.panel2.TabIndex = 0;
            // 
            // GrdControl
            // 
            this.GrdControl.AllowColumnResize = true;
            this.GrdControl.AllowSort = true;
            this.GrdControl.AllowToolTip = false;
            this.GrdControl.Anchor = ((System.Windows.Forms.AnchorStyles) ((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.GrdControl.BackColor = System.Drawing.Color.White;
            this.GrdControl.BorderColor = System.Drawing.Color.FromArgb (((int) (((byte) (120)))), ((int) (((byte) (133)))), ((int) (((byte) (144)))));
            this.GrdControl.BorderWidth = 1;
            this.GrdControl.Columns = new oktellClient.Controls.OGrid2.CDataColumn [ 0 ];
            this.GrdControl.DataSource = null;
            this.GrdControl.DisabledBackColor = System.Drawing.Color.Empty;
            this.GrdControl.DisabledForeColor = System.Drawing.Color.Empty;
            this.GrdControl.DrawLines = false;
            this.GrdControl.FocusedColumn = null;
            this.GrdControl.HeaderColor = System.Drawing.Color.Transparent;
            this.GrdControl.HeaderHeight = 22;
            this.GrdControl.HighLightColor = System.Drawing.Color.Empty;
            this.GrdControl.HoverColor = System.Drawing.Color.FromArgb (((int) (((byte) (15)))), ((int) (((byte) (0)))), ((int) (((byte) (60)))), ((int) (((byte) (120)))));
            this.GrdControl.LineColor = System.Drawing.Color.White;
            this.GrdControl.LoadColumnWidthFromRegistry = true;
            this.GrdControl.Location = new System.Drawing.Point (0, 32);
            this.GrdControl.MultiSelect = false;
            this.GrdControl.Name = "GrdControl";
            this.GrdControl.SelectColor = System.Drawing.Color.FromArgb (((int) (((byte) (231)))), ((int) (((byte) (237)))), ((int) (((byte) (242)))));
            this.GrdControl.Size = new System.Drawing.Size (824, 312);
            this.GrdControl.SplitterColor = System.Drawing.Color.FromArgb (((int) (((byte) (0)))), ((int) (((byte) (0)))), ((int) (((byte) (0)))), ((int) (((byte) (0)))));
            this.GrdControl.SplitterDownColor = System.Drawing.Color.FromArgb (((int) (((byte) (51)))), ((int) (((byte) (0)))), ((int) (((byte) (0)))), ((int) (((byte) (0)))));
            this.GrdControl.TabIndex = 13;
            this.GrdControl.Text = "oGrid21";
            this.GrdControl.TopPixel = 0;
            this.GrdControl.TopRowIndex = 0;
            // 
            // lblCount
            // 
            this.lblCount.Anchor = ((System.Windows.Forms.AnchorStyles) ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.lblCount.Font = new System.Drawing.Font ("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.lblCount.ForeColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (182)))), ((int) (((byte) (109)))));
            this.lblCount.Location = new System.Drawing.Point (576, 8);
            this.lblCount.Name = "lblCount";
            this.lblCount.RightToLeft = System.Windows.Forms.RightToLeft.Yes;
            this.lblCount.Size = new System.Drawing.Size (248, 17);
            this.lblCount.TabIndex = 11;
            this.lblCount.Text = "...";
            // 
            // lblList
            // 
            this.lblList.AutoSize = true;
            this.lblList.Font = new System.Drawing.Font ("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.lblList.Location = new System.Drawing.Point (8, 8);
            this.lblList.Name = "lblList";
            this.lblList.Size = new System.Drawing.Size (158, 15);
            this.lblList.TabIndex = 0;
            this.lblList.Text = "  :";
            // 
            // panel1
            // 
            this.panel1.BackColor = System.Drawing.Color.FromArgb (((int) (((byte) (230)))), ((int) (((byte) (240)))), ((int) (((byte) (230)))));
            this.panel1.Controls.Add (this.panel13);
            this.panel1.Controls.Add (this.btnShowHide);
            this.panel1.Controls.Add (this.lblFilter);
            this.panel1.Controls.Add (this.panel12);
            this.panel1.Controls.Add (this.panel11);
            this.panel1.Dock = System.Windows.Forms.DockStyle.Top;
            this.panel1.Location = new System.Drawing.Point (0, 0);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size (824, 160);
            this.panel1.TabIndex = 0;
            this.panel1.Resize += new System.EventHandler (this.panel1_Resize);
            // 
            // panel13
            // 
            this.panel13.Anchor = ((System.Windows.Forms.AnchorStyles) ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.panel13.Controls.Add (this.vrt2);
            this.panel13.Controls.Add (this.btnFilter);
            this.panel13.Location = new System.Drawing.Point (704, 32);
            this.panel13.Name = "panel13";
            this.panel13.Size = new System.Drawing.Size (120, 128);
            this.panel13.TabIndex = 5;
            // 
            // vrt2
            // 
            this.vrt2.BackColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (182)))), ((int) (((byte) (109)))));
            this.vrt2.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.vrt2.Location = new System.Drawing.Point (0, 0);
            this.vrt2.Name = "vrt2";
            this.vrt2.Size = new System.Drawing.Size (3, 120);
            this.vrt2.TabIndex = 0;
            // 
            // btnFilter
            // 
            this.btnFilter.BackColor = System.Drawing.Color.FromArgb (((int) (((byte) (221)))), ((int) (((byte) (231)))), ((int) (((byte) (197)))));
            this.btnFilter.BackColor2 = System.Drawing.Color.FromArgb (((int) (((byte) (235)))), ((int) (((byte) (240)))), ((int) (((byte) (220)))));
            this.btnFilter.BackColor3 = System.Drawing.Color.White;
            this.btnFilter.BackColorPressedBorder = System.Drawing.Color.Empty;
            this.btnFilter.BackColorPressedBottom = System.Drawing.Color.Empty;
            this.btnFilter.BackColorPressedTop = System.Drawing.Color.Empty;
            this.btnFilter.BorderColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.btnFilter.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
            this.btnFilter.DialogResult = System.Windows.Forms.DialogResult.None;
            this.btnFilter.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.btnFilter.Image = null;
            this.btnFilter.Location = new System.Drawing.Point (12, 92);
            this.btnFilter.Name = "btnFilter";
            this.btnFilter.ShowFocusRect = true;
            this.btnFilter.Size = new System.Drawing.Size (96, 24);
            this.btnFilter.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality;
            this.btnFilter.TabIndex = 9;
            this.btnFilter.Text = "";
            this.btnFilter.UseColorGroup = true;
            this.btnFilter.Click += new System.EventHandler (this.btnFilter_Click);
            // 
            // btnShowHide
            // 
            this.btnShowHide.Anchor = ((System.Windows.Forms.AnchorStyles) ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.btnShowHide.ButtonColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.btnShowHide.ButtonType = oktellClient.Controls.EUpDownButtonType.Up;
            this.btnShowHide.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.btnShowHide.Location = new System.Drawing.Point (800, 8);
            this.btnShowHide.Name = "btnShowHide";
            this.btnShowHide.Size = new System.Drawing.Size (12, 12);
            this.btnShowHide.TabIndex = 4;
            this.btnShowHide.TabStop = false;
            this.btnShowHide.Click += new System.EventHandler (this.btnShowHide_Click);
            // 
            // lblFilter
            // 
            this.lblFilter.AutoSize = true;
            this.lblFilter.Font = new System.Drawing.Font ("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.lblFilter.ForeColor = System.Drawing.Color.Black;
            this.lblFilter.Location = new System.Drawing.Point (8, 8);
            this.lblFilter.Name = "lblFilter";
            this.lblFilter.Size = new System.Drawing.Size (56, 15);
            this.lblFilter.TabIndex = 0;
            this.lblFilter.Text = ":";
            // 
            // panel12
            // 
            this.panel12.Controls.Add (this.setWorkType);
            this.panel12.Controls.Add (this.vrt1);
            this.panel12.Controls.Add (this.txtCity);
            this.panel12.Controls.Add (this.lblCity);
            this.panel12.Controls.Add (this.txtIndex);
            this.panel12.Controls.Add (this.lblIndeks);
            this.panel12.Controls.Add (this.txtRegion);
            this.panel12.Controls.Add (this.lblRegion);
            this.panel12.Controls.Add (this.lblTip_work);
            this.panel12.Location = new System.Drawing.Point (304, 32);
            this.panel12.Name = "panel12";
            this.panel12.Size = new System.Drawing.Size (296, 128);
            this.panel12.TabIndex = 0;
            // 
            // setWorkType
            // 
            this.setWorkType.Anchor = ((System.Windows.Forms.AnchorStyles) (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.setWorkType.AutoHeight = true;
            this.setWorkType.AutoHeightMinS2 = false;
            this.setWorkType.AutoWidth = true;
            this.setWorkType.BorderColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            controlButton1.ButtonDown = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton1.ButtonDown")));
            controlButton1.ButtonHover = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton1.ButtonHover")));
            controlButton1.ButtonUp = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton1.ButtonUp")));
            controlButton1.Width = 18;
            this.setWorkType.ButtonRight = controlButton1;
            this.setWorkType.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
            this.setWorkType.DisabledBackColor = System.Drawing.Color.Empty;
            this.setWorkType.DisabledBorderColor = System.Drawing.Color.Empty;
            this.setWorkType.DisabledForeColor = System.Drawing.Color.Empty;
            this.setWorkType.EditValue = "";
            this.setWorkType.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.setWorkType.ForeColor = System.Drawing.Color.Black;
            this.setWorkType.Location = new System.Drawing.Point (120, 0);
            this.setWorkType.MainColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.setWorkType.Name = "setWorkType";
            this.setWorkType.PopupWindowHeight = 150;
            this.setWorkType.ReadOnly = true;
            this.setWorkType.SelectionLength = 0;
            this.setWorkType.SelectionStart = 0;
            this.setWorkType.ShouldUpdateText = true;
            this.setWorkType.Size = new System.Drawing.Size (168, 20);
            this.setWorkType.TabIndex = 9;
            this.setWorkType.TextEditStyle = oktellClient.Controls.TextEditStyles.DisableTextEditor;
            this.setWorkType.ViewOnly = true;
            // 
            // vrt1
            // 
            this.vrt1.BackColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (182)))), ((int) (((byte) (109)))));
            this.vrt1.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.vrt1.Location = new System.Drawing.Point (0, 0);
            this.vrt1.Name = "vrt1";
            this.vrt1.Size = new System.Drawing.Size (3, 120);
            this.vrt1.TabIndex = 0;
            // 
            // txtCity
            // 
            this.txtCity.Anchor = ((System.Windows.Forms.AnchorStyles) (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.txtCity.BorderColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.txtCity.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
            this.txtCity.DisabledBackColor = System.Drawing.Color.Empty;
            this.txtCity.DisabledBorderColor = System.Drawing.Color.Empty;
            this.txtCity.DisabledForeColor = System.Drawing.Color.Empty;
            this.txtCity.EditValue = "";
            this.txtCity.ForeColor = System.Drawing.Color.Black;
            this.txtCity.Location = new System.Drawing.Point (120, 72);
            this.txtCity.MainColor = System.Drawing.Color.Empty;
            this.txtCity.Name = "txtCity";
            this.txtCity.SelectionLength = 0;
            this.txtCity.SelectionStart = 0;
            this.txtCity.Size = new System.Drawing.Size (168, 20);
            this.txtCity.TabIndex = 8;
            this.txtCity.UseColorGroup = true;
            this.txtCity.KeyDown += new System.Windows.Forms.KeyEventHandler (this.TextEditKeyDown);
            // 
            // lblCity
            // 
            this.lblCity.AutoSize = true;
            this.lblCity.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.lblCity.ForeColor = System.Drawing.Color.Gray;
            this.lblCity.Location = new System.Drawing.Point (8, 75);
            this.lblCity.Name = "lblCity";
            this.lblCity.Size = new System.Drawing.Size (40, 13);
            this.lblCity.TabIndex = 0;
            this.lblCity.Text = ":";
            // 
            // txtIndex
            // 
            this.txtIndex.Anchor = ((System.Windows.Forms.AnchorStyles) (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.txtIndex.BorderColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.txtIndex.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
            this.txtIndex.DisabledBackColor = System.Drawing.Color.Empty;
            this.txtIndex.DisabledBorderColor = System.Drawing.Color.Empty;
            this.txtIndex.DisabledForeColor = System.Drawing.Color.Empty;
            this.txtIndex.EditValue = "";
            this.txtIndex.ForeColor = System.Drawing.Color.Black;
            this.txtIndex.Location = new System.Drawing.Point (120, 48);
            this.txtIndex.MainColor = System.Drawing.Color.Empty;
            this.txtIndex.Name = "txtIndex";
            this.txtIndex.SelectionLength = 0;
            this.txtIndex.SelectionStart = 0;
            this.txtIndex.Size = new System.Drawing.Size (168, 20);
            this.txtIndex.TabIndex = 7;
            this.txtIndex.UseColorGroup = true;
            this.txtIndex.KeyDown += new System.Windows.Forms.KeyEventHandler (this.TextEditKeyDown);
            // 
            // lblIndeks
            // 
            this.lblIndeks.AutoSize = true;
            this.lblIndeks.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.lblIndeks.ForeColor = System.Drawing.Color.Gray;
            this.lblIndeks.Location = new System.Drawing.Point (8, 51);
            this.lblIndeks.Name = "lblIndeks";
            this.lblIndeks.Size = new System.Drawing.Size (48, 13);
            this.lblIndeks.TabIndex = 0;
            this.lblIndeks.Text = ":";
            // 
            // txtRegion
            // 
            this.txtRegion.Anchor = ((System.Windows.Forms.AnchorStyles) (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.txtRegion.BorderColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.txtRegion.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
            this.txtRegion.DisabledBackColor = System.Drawing.Color.Empty;
            this.txtRegion.DisabledBorderColor = System.Drawing.Color.Empty;
            this.txtRegion.DisabledForeColor = System.Drawing.Color.Empty;
            this.txtRegion.EditValue = "";
            this.txtRegion.ForeColor = System.Drawing.Color.Black;
            this.txtRegion.Location = new System.Drawing.Point (120, 24);
            this.txtRegion.MainColor = System.Drawing.Color.Empty;
            this.txtRegion.Name = "txtRegion";
            this.txtRegion.SelectionLength = 0;
            this.txtRegion.SelectionStart = 0;
            this.txtRegion.Size = new System.Drawing.Size (168, 20);
            this.txtRegion.TabIndex = 6;
            this.txtRegion.UseColorGroup = true;
            this.txtRegion.KeyDown += new System.Windows.Forms.KeyEventHandler (this.TextEditKeyDown);
            // 
            // lblRegion
            // 
            this.lblRegion.AutoSize = true;
            this.lblRegion.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.lblRegion.ForeColor = System.Drawing.Color.Gray;
            this.lblRegion.Location = new System.Drawing.Point (8, 27);
            this.lblRegion.Name = "lblRegion";
            this.lblRegion.Size = new System.Drawing.Size (46, 13);
            this.lblRegion.TabIndex = 0;
            this.lblRegion.Text = ":";
            // 
            // lblTip_work
            // 
            this.lblTip_work.AutoSize = true;
            this.lblTip_work.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.lblTip_work.ForeColor = System.Drawing.Color.Gray;
            this.lblTip_work.Location = new System.Drawing.Point (8, 3);
            this.lblTip_work.Name = "lblTip_work";
            this.lblTip_work.Size = new System.Drawing.Size (102, 13);
            this.lblTip_work.TabIndex = 0;
            this.lblTip_work.Text = " :";
            // 
            // panel11
            // 
            this.panel11.Controls.Add (this.cbxInteres2);
            this.panel11.Controls.Add (this.setType);
            this.panel11.Controls.Add (this.oktellLabel1);
            this.panel11.Controls.Add (this.boxRecall);
            this.panel11.Controls.Add (this.setManager);
            this.panel11.Controls.Add (this.lblKonsult);
            this.panel11.Controls.Add (this.lblInteres);
            this.panel11.Controls.Add (this.lblType);
            this.panel11.Controls.Add (this.txtName);
            this.panel11.Controls.Add (this.lblName);
            this.panel11.Controls.Add (this.cbxRecall);
            this.panel11.Location = new System.Drawing.Point (0, 32);
            this.panel11.Name = "panel11";
            this.panel11.Size = new System.Drawing.Size (296, 128);
            this.panel11.TabIndex = 0;
            // 
            // cbxInteres2
            // 
            this.cbxInteres2.Anchor = ((System.Windows.Forms.AnchorStyles) (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.cbxInteres2.BorderColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            controlButton2.ButtonDown = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton2.ButtonDown")));
            controlButton2.ButtonHover = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton2.ButtonHover")));
            controlButton2.ButtonUp = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton2.ButtonUp")));
            controlButton2.Width = 16;
            this.cbxInteres2.ButtonRight = controlButton2;
            this.cbxInteres2.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
            this.cbxInteres2.DisabledBackColor = System.Drawing.Color.Empty;
            this.cbxInteres2.DisabledBorderColor = System.Drawing.Color.Empty;
            this.cbxInteres2.DisabledForeColor = System.Drawing.Color.Empty;
            this.cbxInteres2.EditValue = "";
            this.cbxInteres2.HighLightColor = System.Drawing.Color.Black;
            this.cbxInteres2.Location = new System.Drawing.Point (120, 48);
            this.cbxInteres2.MainColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.cbxInteres2.Name = "cbxInteres2";
            this.cbxInteres2.SelectedIndex = -1;
            this.cbxInteres2.SelectedItem = "";
            this.cbxInteres2.SelectedText = "";
            this.cbxInteres2.SelectionLength = 0;
            this.cbxInteres2.SelectionStart = 0;
            this.cbxInteres2.Size = new System.Drawing.Size (168, 20);
            this.cbxInteres2.TabIndex = 11;
            this.cbxInteres2.UseLeftDots = false;
            // 
            // setType
            // 
            this.setType.Anchor = ((System.Windows.Forms.AnchorStyles) (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.setType.AutoHeight = true;
            this.setType.AutoHeightMinS2 = false;
            this.setType.AutoWidth = true;
            this.setType.BorderColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            controlButton3.ButtonDown = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton3.ButtonDown")));
            controlButton3.ButtonHover = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton3.ButtonHover")));
            controlButton3.ButtonUp = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton3.ButtonUp")));
            controlButton3.Width = 18;
            this.setType.ButtonRight = controlButton3;
            this.setType.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
            this.setType.DisabledBackColor = System.Drawing.Color.Empty;
            this.setType.DisabledBorderColor = System.Drawing.Color.Empty;
            this.setType.DisabledForeColor = System.Drawing.Color.Empty;
            this.setType.EditValue = "";
            this.setType.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.setType.ForeColor = System.Drawing.Color.Black;
            this.setType.Location = new System.Drawing.Point (120, 24);
            this.setType.MainColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.setType.Name = "setType";
            this.setType.PopupWindowHeight = 150;
            this.setType.ReadOnly = true;
            this.setType.SelectionLength = 0;
            this.setType.SelectionStart = 0;
            this.setType.ShouldUpdateText = true;
            this.setType.Size = new System.Drawing.Size (168, 20);
            this.setType.TabIndex = 10;
            this.setType.TextEditStyle = oktellClient.Controls.TextEditStyles.DisableTextEditor;
            this.setType.ViewOnly = true;
            // 
            // oktellLabel1
            // 
            this.oktellLabel1.AutoSize = true;
            this.oktellLabel1.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.oktellLabel1.ForeColor = System.Drawing.Color.Gray;
            this.oktellLabel1.Location = new System.Drawing.Point (8, 100);
            this.oktellLabel1.Name = "oktellLabel1";
            this.oktellLabel1.Size = new System.Drawing.Size (77, 13);
            this.oktellLabel1.TabIndex = 7;
            this.oktellLabel1.Text = ":";
            // 
            // boxRecall
            // 
            this.boxRecall.ArrowsColor = System.Drawing.Color.FromArgb (((int) (((byte) (23)))), ((int) (((byte) (108)))), ((int) (((byte) (167)))));
            this.boxRecall.BlockCheckBoxes = false;
            this.boxRecall.CheckByRow = false;
            this.boxRecall.ColorGroup = oktellClient.Controls.EColorGroup.cgCommon;
            this.boxRecall.DisabledBackColor = System.Drawing.Color.FromArgb (((int) (((byte) (248)))), ((int) (((byte) (249)))), ((int) (((byte) (250)))));
            this.boxRecall.DisabledColor = System.Drawing.Color.FromArgb (((int) (((byte) (248)))), ((int) (((byte) (249)))), ((int) (((byte) (250)))));
            this.boxRecall.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.boxRecall.Gray = false;
            this.boxRecall.GrayColor = System.Drawing.Color.FromArgb (((int) (((byte) (234)))), ((int) (((byte) (238)))), ((int) (((byte) (242)))));
            this.boxRecall.GrayText = "";
            this.boxRecall.LeftMargin = 3;
            this.boxRecall.Location = new System.Drawing.Point (117, 93);
            this.boxRecall.MarkColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.boxRecall.Name = "boxRecall";
            this.boxRecall.NotCheckedColor = System.Drawing.Color.FromArgb (((int) (((byte) (170)))), ((int) (((byte) (170)))), ((int) (((byte) (170)))));
            this.boxRecall.RectColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.boxRecall.RectSize = 19;
            this.boxRecall.SelColor = System.Drawing.Color.FromArgb (((int) (((byte) (185)))), ((int) (((byte) (197)))), ((int) (((byte) (207)))));
            this.boxRecall.Selected = false;
            this.boxRecall.ShowUpDown = false;
            this.boxRecall.Size = new System.Drawing.Size (24, 24);
            this.boxRecall.TabIndex = 6;
            this.boxRecall.TopMargin = 3;
            this.boxRecall.WordWrap = false;
            this.boxRecall.CheckedChanged += new System.EventHandler (this.boxRecall_CheckedChanged);
            // 
            // setManager
            // 
            this.setManager.Anchor = ((System.Windows.Forms.AnchorStyles) (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.setManager.AutoHeight = true;
            this.setManager.AutoHeightMinS2 = false;
            this.setManager.AutoWidth = true;
            this.setManager.BorderColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            controlButton4.ButtonDown = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton4.ButtonDown")));
            controlButton4.ButtonHover = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton4.ButtonHover")));
            controlButton4.ButtonUp = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton4.ButtonUp")));
            controlButton4.Width = 18;
            this.setManager.ButtonRight = controlButton4;
            this.setManager.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
            this.setManager.DisabledBackColor = System.Drawing.Color.Empty;
            this.setManager.DisabledBorderColor = System.Drawing.Color.Empty;
            this.setManager.DisabledForeColor = System.Drawing.Color.Empty;
            this.setManager.EditValue = "";
            this.setManager.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.setManager.ForeColor = System.Drawing.Color.Black;
            this.setManager.Location = new System.Drawing.Point (120, 72);
            this.setManager.MainColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.setManager.Name = "setManager";
            this.setManager.PopupWindowHeight = 150;
            this.setManager.ReadOnly = true;
            this.setManager.SelectionLength = 0;
            this.setManager.SelectionStart = 0;
            this.setManager.ShouldUpdateText = true;
            this.setManager.Size = new System.Drawing.Size (168, 20);
            this.setManager.TabIndex = 4;
            this.setManager.TextEditStyle = oktellClient.Controls.TextEditStyles.DisableTextEditor;
            this.setManager.ViewOnly = true;
            this.setManager.KeyDown += new System.Windows.Forms.KeyEventHandler (this.TextEditKeyDown);
            // 
            // lblKonsult
            // 
            this.lblKonsult.AutoSize = true;
            this.lblKonsult.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.lblKonsult.ForeColor = System.Drawing.Color.Gray;
            this.lblKonsult.Location = new System.Drawing.Point (8, 75);
            this.lblKonsult.Name = "lblKonsult";
            this.lblKonsult.Size = new System.Drawing.Size (74, 13);
            this.lblKonsult.TabIndex = 0;
            this.lblKonsult.Text = ":";
            // 
            // lblInteres
            // 
            this.lblInteres.AutoSize = true;
            this.lblInteres.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.lblInteres.ForeColor = System.Drawing.Color.Gray;
            this.lblInteres.Location = new System.Drawing.Point (8, 51);
            this.lblInteres.Name = "lblInteres";
            this.lblInteres.Size = new System.Drawing.Size (106, 13);
            this.lblInteres.TabIndex = 0;
            this.lblInteres.Text = "  :";
            // 
            // lblType
            // 
            this.lblType.AutoSize = true;
            this.lblType.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.lblType.ForeColor = System.Drawing.Color.Gray;
            this.lblType.Location = new System.Drawing.Point (8, 27);
            this.lblType.Name = "lblType";
            this.lblType.Size = new System.Drawing.Size (73, 13);
            this.lblType.TabIndex = 0;
            this.lblType.Text = " :";
            // 
            // txtName
            // 
            this.txtName.Anchor = ((System.Windows.Forms.AnchorStyles) (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.txtName.BorderColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.txtName.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
            this.txtName.DisabledBackColor = System.Drawing.Color.Empty;
            this.txtName.DisabledBorderColor = System.Drawing.Color.Empty;
            this.txtName.DisabledForeColor = System.Drawing.Color.Empty;
            this.txtName.EditValue = "";
            this.txtName.ForeColor = System.Drawing.Color.Black;
            this.txtName.Location = new System.Drawing.Point (120, 0);
            this.txtName.MainColor = System.Drawing.Color.Empty;
            this.txtName.Name = "txtName";
            this.txtName.SelectionLength = 0;
            this.txtName.SelectionStart = 0;
            this.txtName.Size = new System.Drawing.Size (168, 20);
            this.txtName.TabIndex = 1;
            this.txtName.UseColorGroup = true;
            this.txtName.KeyDown += new System.Windows.Forms.KeyEventHandler (this.TextEditKeyDown);
            // 
            // lblName
            // 
            this.lblName.AutoSize = true;
            this.lblName.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.lblName.ForeColor = System.Drawing.Color.Gray;
            this.lblName.Location = new System.Drawing.Point (8, 3);
            this.lblName.Name = "lblName";
            this.lblName.Size = new System.Drawing.Size (86, 13);
            this.lblName.TabIndex = 0;
            this.lblName.Text = ":";
            // 
            // cbxRecall
            // 
            this.cbxRecall.AllowEdit = true;
            this.cbxRecall.Anchor = ((System.Windows.Forms.AnchorStyles) (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.cbxRecall.AutoUpdateEditValue = false;
            this.cbxRecall.BorderColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            controlButton5.ButtonDown = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton5.ButtonDown")));
            controlButton5.ButtonHover = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton5.ButtonHover")));
            controlButton5.ButtonUp = ((System.Drawing.Bitmap) (resources.GetObject ("controlButton5.ButtonUp")));
            controlButton5.Width = 16;
            this.cbxRecall.ButtonRight = controlButton5;
            this.cbxRecall.CalendarType = oktellClient.Controls.ECalendarType.ctPeriod;
            this.cbxRecall.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
            this.cbxRecall.DateStart = new System.DateTime (2013, 4, 16, 0, 0, 0, 0);
            this.cbxRecall.DateStop = new System.DateTime (2013, 4, 16, 23, 59, 59, 964);
            this.cbxRecall.DisabledBackColor = System.Drawing.Color.Empty;
            this.cbxRecall.DisabledBorderColor = System.Drawing.Color.Empty;
            this.cbxRecall.DisabledForeColor = System.Drawing.Color.Empty;
            this.cbxRecall.EditValue = null;
            this.cbxRecall.HighLightColor = System.Drawing.Color.Black;
            this.cbxRecall.Location = new System.Drawing.Point (144, 96);
            this.cbxRecall.MainColor = System.Drawing.Color.FromArgb (((int) (((byte) (152)))), ((int) (((byte) (192)))), ((int) (((byte) (109)))));
            this.cbxRecall.Mask = "00.00.0000 - 00.00.0000";
            this.cbxRecall.Name = "cbxRecall";
            this.cbxRecall.SelectedIndex = -1;
            this.cbxRecall.SelectedItem = null;
            this.cbxRecall.SelectedText = "";
            this.cbxRecall.SelectionLength = 0;
            this.cbxRecall.SelectionStart = 0;
            this.cbxRecall.Size = new System.Drawing.Size (144, 20);
            this.cbxRecall.TabIndex = 6;
            this.cbxRecall.UseLeftDots = false;
            // 
            // buttonBar
            // 
            this.buttonBar.BackColor = System.Drawing.Color.White;
            this.buttonBar.ButtonHeight = 24;
            this.buttonBar.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
            this.buttonBar.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.buttonBar.Font = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.buttonBar.Location = new System.Drawing.Point (0, 517);
            this.buttonBar.MaxWidth = 110;
            this.buttonBar.Name = "buttonBar";
            this.buttonBar.ShortCutFont = new System.Drawing.Font ("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.buttonBar.Size = new System.Drawing.Size (840, 59);
            this.buttonBar.TabIndex = 11;
            // 
            // Control01
            // 
            this.Controls.Add (this.buttonBar);
            this.Controls.Add (this.pnlParent);
            this.Name = "Control01";
            this.Size = new System.Drawing.Size (840, 576);
            this.pnlParent.ResumeLayout (false);
            this.panel2.ResumeLayout (false);
            this.panel2.PerformLayout ();
            this.panel1.ResumeLayout (false);
            this.panel1.PerformLayout ();
            this.panel13.ResumeLayout (false);
            ((System.ComponentModel.ISupportInitialize) (this.btnShowHide)).EndInit ();
            this.panel12.ResumeLayout (false);
            this.panel12.PerformLayout ();
            this.panel11.ResumeLayout (false);
            this.panel11.PerformLayout ();
            this.ResumeLayout (false);

		}
		#endregion

		private void panel1_Resize(object sender, System.EventArgs e)
		{
			panel12.Left = panel11.Width = (panel1.Width-panel13.Width)/2;
			panel12.Width = panel1.Width - panel13.Width - panel11.Width;
			//panel2.Top = panel1.Height;
		}
		#endregion

		public void AddField ( Base.DBField field )
		{
			ArrayList source = GrdControl.DataSource as ArrayList;
			if (source == null )
				source = new ArrayList ();
			GrdControl.DataSource = null;

			field.IsNew = false;
			source.Add ( field );

			try
			{
				GrdControl.DataSource = source;
				int i = 0;
				while ( GrdControl.GetDataSourceRowIndex(i) != source.Count-1 )
					i++;
				GrdControl.FocusedRowHandle = i;
			}
			finally
			{
				GrdControl.Refresh();
			}
		}
		private void btnShowHide_Click(object sender, System.EventArgs e)
		{
			if (panel1.Height != 32 )
				panel1.Height = 32;
			else
				panel1.Height = panel12.Height+panel12.Top;
		}

		private void EditPlease()
		{
			if (EditClick!=null)
			{
				//  
				int relativeindex = GrdControl.FocusedRowHandle;
				int idx = GrdControl.GetDataSourceRowIndex(relativeindex);
				//  
				ArrayList source = GrdControl.DataSource as ArrayList;
				//         , 
				if ( ( source == null ) || ( idx >= source.Count ) )
					return;

				Base.DBField EditValue = (Base.DBField) source[idx];
				EditClick(EditValue);
			}
		}

		private void buttonBar_OnButtonPressed(object Tag)
		{
			int relativeindex;
			int idx;
			ArrayList source;

			switch ((int) Tag )
			{
				case 1:
					//
					if (EditClick!=null)
					{
						Base.DBField EditValue = new OktellPlugin.Base.DBField (true);
						EditClick(EditValue);
					}
					break;
				case 2:
					//
					EditPlease();
					break;
				case 3:
					#region 

					//  
					relativeindex = GrdControl.FocusedRowHandle;
					idx = GrdControl.GetDataSourceRowIndex(relativeindex);
					//  
					source = GrdControl.DataSource as ArrayList;
					//         , 
					if ( ( source == null ) || ( idx >= source.Count ) )
						return;

					if ( oktellClient.oktellMB.ShowQuestion (" ,     ?") == DialogResult.Yes )
					{
						//    
						Base.DBField field = (Base.DBField) source[idx];

						#region  field  

						//SQL-  
						string SQLtext = "Exec dbo.C_ClientsPlugin_RemoveById '" + field.Id + "'";

						// XML
						CMapperXmlItemSetCollection icoll = new CMapperXmlItemSetCollection (  );
						CMapperXmlItemSet iset = new CMapperXmlItemSet ();
						icoll.Add ( iset );
						iset.Name = "db";
						iset.Add ( CMapperXmlItem.GetItem ( "sqltext", SQLtext ) );
						string xml = icoll.WriteToXml ( "query" );

						if (OnQuery!=null)
							OnQuery (xml);

						#endregion

						//  DataSource;
						GrdControl.BeginUpdate();
						try
						{
							source.Remove ( field );
							GrdControl.RefreshDataSource();
							if ( source.Count > 0 )
								GrdControl.FocusedRowHandle = Math.Min( relativeindex, source.Count-1 );
						}
						finally
						{
							GrdControl.EndUpdate();
						}

					}
					#endregion
					break;
				case 4:
					//


					break;
				case 5:
					ExcelImportForm frm = new ExcelImportForm ();
					if ( frm.ShowDialog() == DialogResult.OK )
					{
						ArrayList src = new ArrayList ();
						//string s = "";
						StringCollection strcol = new StringCollection ();
						foreach ( DataColumn col in frm.Table.Columns )
						{
							strcol.Add ( col.Caption );
							//s += "case \"" + col.Caption.ToLower() + "\":\r\nfield." + col.Caption + " = (string) row[i];\r\nbreak;\r\n\r\n";
						}
						//txtName.Text = s;

						foreach ( DataRow row in frm.Table.Rows )
						{
							Base.DBField field = new OktellPlugin.Base.DBField ();
							for ( int i = 0; i < strcol.Count; i++ )
							{
								if ( row[i] == DBNull.Value ) continue;
								try
								{
									#region 
									switch ( strcol[i].ToLower() )
									{
										case "name":
											field.Name = (string) row[i];
											break;

										case "tip_work":
											field.Tip_work = (string) row[i];
											break;

										case "region_name":
											field.Region_name = (string) row[i];
											break;

										case "indeks":
											if ( System.Text.RegularExpressions.Regex.IsMatch ( (string) row[i], @"[\+\-]?[0-9]+" ) )
												field.Indeks = int.Parse ((string) row[i]);
											break;

										case "city":
											field.City = (string) row[i];
											break;

										case "adress":
											field.Adress = (string) row[i];
											break;

										case "phone":
											field.Phone = (string) row[i];
											break;

										case "fax":
											field.Fax = (string) row[i];
											break;

										case "email":
											field.Email = (string) row[i];
											break;

										case "www":
											field.Www = (string) row[i];
											break;

										case "fio":
											field.Fio = (string) row[i];
											break;

										case "dolgnost":
											field.Dolgnost = (string) row[i];
											break;

										case "otdel":
											field.Otdel = (string) row[i];
											break;

										case "type":
											if ( System.Text.RegularExpressions.Regex.IsMatch ( (string) row[i], @"[\+\-]?[0-9]+" ) )
												field.Type = int.Parse ((string) row[i]);
											break;

										case "interes":
											if ( System.Text.RegularExpressions.Regex.IsMatch ( (string) row[i], @"[\+\-]?[0-9]+" ) )
												field.Interes = int.Parse((string) row[i]);
											break;

										case "manager":
											field.Manager = new Guid ( (string) row[i] );
											break;

										case "comment":
											field.Comment = (string) row[i];
											break;
									}
									#endregion
								}
								catch {}
							}
							
							if ( field.Name != "" )
							{
								#region  field  

								//SQL- 
								string SQLtext = "Exec dbo.C_ClientsPlugin_Save 1, " + field.Id  + ", '" + field.Name  + "', '" + field.Tip_work  + "', '" + field.Region_name  + "', " + field.Indeks  + ", '" + field.City  + "', '" + field.Adress  + "', '" + field.Phone  + "', '" + field.Fax  + "', '" + field.Email  + "', '" + field.Www  + "', '" + field.Fio  + "', '" + field.Dolgnost  + "', '" + field.Otdel  + "', " + field.Type  + ", " + field.Interes  + ", '" + field.Manager  + "', '" + field.Comment  + "', NULL";

								//MessageBox.Show ( SQLtext );

								// XML
								CMapperXmlItemSetCollection icoll = new CMapperXmlItemSetCollection (  );
								CMapperXmlItemSet iset = new CMapperXmlItemSet ();
								icoll.Add ( iset );
								iset.Name = "db";
								iset.Add ( CMapperXmlItem.GetItem ( "sqltext", SQLtext ) );
								string xml = icoll.WriteToXml ( "query" );

								int max = 0;
								if (OnQuery!=null)
								{
									string resxml = OnQuery (xml);

									#region  xml
									CMapperXmlItemSetCollection coll = CMapperXmlItemSetCollection.FromXml ( resxml );
									if ( coll != null )
									{
										coll = coll [ 0 ].SubSets;
										CMapperXmlItemSetCollection coll2;
										CMapperXmlItemSetCollection coll3;

										if ( coll.Count > 1 )
										{
											CMapperXmlItemSet headset = null;
											CMapperXmlItemSet dataset = null;

											for ( int i = 0; i < coll.Count; i++ )
											{
												CMapperXmlItemSet tset = coll [ i ];
												switch ( tset.Name.ToLower() )
												{
													case "tableheader":
														headset = tset;
														break;

													case "tabledata":
														dataset = tset;
														break;
												}
											}

											if (( headset != null ) && ( dataset != null ))
											{
												Hashtable hash = new Hashtable ();

												#region  
												coll = headset.SubSets;
												//  
												for ( int i = 0; i < coll.Count; i++ )
												{
													CMapperXmlItemSet tset = coll [ i ];
													if (tset.Count > 0 )
													{
														string tmps = CMapperXmlItem.GetValueName ( tset[0] );
														string Id = tset.IdName;
														string Value = null;
														for ( int i4 = 0; i4 < tset.Count; i4++ )
															if ( tset[i4].Key.ToLower() == "name" )
																Value = CMapperXmlItem.GetValueName (tset[i4] );
														hash [ Id ] = Value;
													}
												}
												#endregion

												#region  
												coll2 = dataset.SubSets;
												//  
												if ( coll2.Count>0 )
												{
													for ( int i2 = 0; i2 < coll2.Count; i2++ )
													{						
														CMapperXmlItemSet tset = coll2 [ i2 ];
														coll3 = tset.SubSets;
														//  
														for ( int i3 = 0; i3 < coll3.Count; i3++ )
														{
															tset = coll3 [ i3 ];
															if (tset.Count > 0 )
															{
									
																string tmps = CMapperXmlItem.GetValueName ( tset[0] );

																switch ( (hash [tset.IdName] as string).ToLower() )
																{
																	case "max":
																		max = int.Parse(tmps);
																		break;
																}

															}
														}
													}
												}
												#endregion
											}
										}

									}
									#endregion
								}
								#endregion

								//MessageBox.Show ( SQLtext );

								field.Id = max;
								field.IsNew = false;



								src.Add ( field );
							}
						}
						GrdControl.DataSource = src;
						GrdControl.Refresh();

						OnQuery (
								"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
								"<oktellxmlmapper version=\"80710\">" +
								"<data name=\"query\" count=\"1\">" +
								"	<property_set name=\"notify\">" +
								"	<property_cdata key=\"type\" ><![CDATA[info]]></property_cdata>" +
								"	<property_cdata key=\"text\"><![CDATA[]]></property_cdata>" +
								"	</property_set>" +
								"</data>" +
								"</oktellxmlmapper>"
								);
					}

					frm.Dispose();
					break;
			}
		}

		public override void Refresh()
		{
			GrdControl.RefreshDataSource();
			base.Refresh ();
		}


		public void GetByID ( int id, bool open )
		{
			ArrayList source = new ArrayList();

			#region      xml

			//SQL- 
			string SQLtext = "Exec dbo.C_ClientsPlugin_GetByID " + id.ToString();
					
			// XML
			CMapperXmlItemSetCollection icoll = new CMapperXmlItemSetCollection (  );
			CMapperXmlItemSet iset = new CMapperXmlItemSet ();
			icoll.Add ( iset );
			iset.Name = "db";
			iset.Add ( CMapperXmlItem.GetItem ( "sqltext", SQLtext ) );
			string query = icoll.WriteToXml ( "query" );

			string xml = "";
			if (OnQuery!=null)
				xml = OnQuery(query);
			else
				return;

			#endregion

			int count = 0;

			#region  xml
			CMapperXmlItemSetCollection coll = CMapperXmlItemSetCollection.FromXml ( xml );
			if ( coll == null )
			{
				OnQuery (
					"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
					"<oktellxmlmapper version=\"80710\">" +
					"<data name=\"query\" count=\"1\">" +
					"	<property_set name=\"notify\">" +
					"	<property_cdata key=\"type\" ><![CDATA[warn]]></property_cdata>" +
					"	<property_cdata key=\"text\"><![CDATA[  ]]></property_cdata>" +
					"	</property_set>" +
					"</data>" +
					"</oktellxmlmapper>"
					);
				return;
			}
			else	
			{
				coll = coll [ 0 ].SubSets;
				CMapperXmlItemSetCollection coll2;
				CMapperXmlItemSetCollection coll3;

				if ( coll.Count < 2 )
				{
					OnQuery (
						"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
						"<oktellxmlmapper version=\"80710\">" +
						"<data name=\"query\" count=\"1\">" +
						"	<property_set name=\"notify\">" +
						"	<property_cdata key=\"type\" ><![CDATA[warn]]></property_cdata>" +
						"	<property_cdata key=\"text\"><![CDATA[  ]]></property_cdata>" +
						"	</property_set>" +
						"</data>" +
						"</oktellxmlmapper>"
						);
					return;
				}
				else
				{
					CMapperXmlItemSet headset = null;
					CMapperXmlItemSet dataset = null;

					for ( int i = 0; i < coll.Count; i++ )
					{
						CMapperXmlItemSet tset = coll [ i ];
						switch ( tset.Name.ToLower() )
						{
							case "tableheader":
								headset = tset;
								break;

							case "tabledata":
								dataset = tset;
								break;
						}
					}

					if (( headset != null ) && ( dataset != null ))
					{
						Hashtable hash = new Hashtable ();

						#region  
						coll = headset.SubSets;
						//  
						for ( int i = 0; i < coll.Count; i++ )
						{
							CMapperXmlItemSet tset = coll [ i ];
							if (tset.Count > 0 )
							{
								string tmps = CMapperXmlItem.GetValueName ( tset[0] );
								string Id = tset.IdName;
								string Value = null;
								for ( int i4 = 0; i4 < tset.Count; i4++ )
									if ( tset[i4].Key.ToLower() == "name" )
										Value = CMapperXmlItem.GetValueName (tset[i4] );
								hash [ Id ] = Value;
							}
						}
						#endregion

						#region  
						coll2 = dataset.SubSets;
						//  
						if ( coll2.Count < 2 )
						{
							OnQuery (
								"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
								"<oktellxmlmapper version=\"80710\">" +
								"<data name=\"query\" count=\"1\">" +
								"	<property_set name=\"notify\">" +
								"	<property_cdata key=\"type\" ><![CDATA[warn]]></property_cdata>" +
								"	<property_cdata key=\"text\"><![CDATA[  ]]></property_cdata>" +
								"	</property_set>" +
								"</data>" +
								"</oktellxmlmapper>"
								);
							return;
						}


						CMapperXmlItemSet xset = coll2 [ coll2.Count-1 ];
						coll3 = xset.SubSets;
						//  
						for ( int i3 = 0; i3 < coll3.Count; i3++ )
						{
							xset = coll3 [ i3 ];
							if (xset.Count > 0 )
							{
									
								string tmps = CMapperXmlItem.GetValueName ( xset[0] );

								switch ( (hash [xset.IdName] as string).ToLower() )
								{
									case "name":
										count = int.Parse(tmps);
										break;
								}
							}
						}

						//MessageBox.Show ( count.ToString() );


						for ( int i2 = 0; i2 < coll2.Count-1; i2++ )
						{
							Base.DBField field = new OktellPlugin.Base.DBField();
							
							CMapperXmlItemSet tset = coll2 [ i2 ];
							coll3 = tset.SubSets;
							//  
							for ( int i3 = 0; i3 < coll3.Count; i3++ )
							{
								tset = coll3 [ i3 ];
								if (tset.Count > 0 )
								{
									
									string tmps = CMapperXmlItem.GetValueName ( tset[0] );

									switch ( (hash [tset.IdName] as string).ToLower() )
									{
										case "id":
											field.Id = int.Parse(tmps);
											break;
										case "name":
											field.Name = tmps;
											break;
										case "tip_work":
											field.Tip_work = tmps;
											break;
										case "region_name":
											field.Region_name = tmps;
											break;
										case "indeks":
											field.Indeks = int.Parse(tmps);
											break;
										case "city":
											field.City = tmps;
											break;
										case "adress":
											field.Adress = tmps;
											break;
										case "phone":
											field.Phone = tmps;
											break;
										case "fax":
											field.Fax = tmps;
											break;
										case "email":
											field.Email = tmps;
											break;
										case "www":
											field.Www = tmps;
											break;
										case "fio":
											field.Fio = tmps;
											break;
										case "dolgnost":
											field.Dolgnost = tmps;
											break;
										case "otdel":
											field.Otdel = tmps;
											break;
										case "type":
											field.Type = int.Parse(tmps);
											break;
										case "interes":
											field.Interes = int.Parse(tmps);
											break;
										case "manager":
											field.Manager = new Guid(tmps);
											break;
										case "comment":
											field.Comment = tmps;
											break;
									}

								}
							}
							source.Add ( field );

						}

						lblCount.Text = ": " + count + ", : " + (coll2.Count-1);
						#endregion
					}
				}

			}
			#endregion

//			ColManager.Visible = (setManager.GetCheckedItems().Count>1);
//			ColType.Visible = (setType.GetCheckedItems().Count>1);

			ArrayList columns = new ArrayList();
			columns.Add (ColName);
			columns.Add (ColTip_work);
			if (setType.GetCheckedItems().Count>1)
				columns.Add (ColType);
			columns.Add (ColCity);
			columns.Add (ColRegion);
			columns.Add (ColIndeks);
			if (setManager.GetCheckedItems().Count>1)
				columns.Add (ColManager);
			columns.Add (ColRecall);
			columns.Add (ColPic);

            OGrid2.CDataColumn [ ] arrayColumns = new OGrid2.CDataColumn [ columns.Count ];
            for (int i = 0; i < arrayColumns.Length; i++)
                arrayColumns [ i ] = columns [ i ] as OGrid2.CDataColumn;
            GrdControl.Columns = arrayColumns;
			//GrdControl.Columns = columns.ToArray() as OGrid2.CDataColumn[];

			GrdControl.DataSource = source;
			GrdControl.Refresh();

			if ( (open) && (source.Count>0) )
			{
				Base.DBField EditValue = (Base.DBField) source[0];
				EditClick(EditValue);
			}
		}

		oktellCalendarComboBox cbxRecall;

		private void btnFilter_Click(object sender, System.EventArgs e)
		{
			ArrayList source = new ArrayList();


			string timestart = "NULL";
			string timestop = "NULL";
			if (boxRecall.Checked)
			{
				timestart = "'" + cbxRecall.DateStart.ToString("MM.dd.yyyy HH:mm:ss") + "'";
				timestop = "'" + cbxRecall.DateStop.ToString("MM.dd.yyyy HH:mm:ss") + "'";
			}


			#region      xml


			string Type = "*";
			string AllType = "*";
			for (int i = 0; i<setType.Items.Count; i++)
			{
				Base.TypeComboItems Tag = (Base.TypeComboItems) setType.Items[i].Tag;
				AllType += Tag.Code + "*";
				if (setType.Items[i].Checked)
					Type += Tag.Code + "*";
			}
			if ( Type == "*" )
				Type = AllType;

			Base.TypeComboItems item  = (Base.TypeComboItems) cbxInteres2.SelectedItem;

			/*
			string Interes = "*";
			for (int i = 0; i<setInteres.Items.Count; i++)
			{
				Base.TypeComboItems Tag = (Base.TypeComboItems) setInteres.Items[i].Tag;
				if (setInteres.Items[i].Checked)
					Interes = Interes + Tag.Code + "*";
			}
			*/
			string Manager = "*";
			string AllManager = "1";
			for (int i = 0; i<setManager.Items.Count; i++)
			{
				Base.Manager Tag = (Base.Manager) setManager.Items[i].Tag;
				if (setManager.Items[i].Checked)
					Manager += Tag.ID.ToString() + "*";
			}
			if (Manager != "*")
				AllManager = "0";

			string WorkType = "*";
			string AllWorkType = "1";
			for (int i = 0; i<setWorkType.Items.Count; i++)
			{
				if (setWorkType.Items[i].Checked)
					WorkType += setWorkType.Items[i].Text + "*";
			}
			if (WorkType != "*")
				AllWorkType = "0";

			//MessageBox.Show ( WorkType );

			//SQL- 
			string SQLtext = "Exec dbo.C_ClientsPlugin_Filter '"+txtName.Text+"', '" + Type + "', " + ((item.Code==2)?"1":"0") + "," + item.Code + ", "+AllManager+", '"+Manager+"', "+AllWorkType+", '"+WorkType+"', '"+txtRegion.Text+"', '"+txtIndex.Text+"', '"+txtCity.Text+"', "+timestart+", "+timestop;

			//MessageBox.Show (SQLtext);
					
			// XML
			CMapperXmlItemSetCollection icoll = new CMapperXmlItemSetCollection (  );
			CMapperXmlItemSet iset = new CMapperXmlItemSet ();
			icoll.Add ( iset );
			iset.Name = "db";
			iset.Add ( CMapperXmlItem.GetItem ( "sqltext", SQLtext ) );
			string query = icoll.WriteToXml ( "query" );

			string xml = "";
			if (OnQuery!=null)
				xml = OnQuery(query);
			else
				return;

			#endregion

			int count = 0;

			CSQLAnswerParser.SQLDataAnswer sda = CSQLAnswerParser.Parse ( xml );

            //MessageBox.Show (xml);

			#region  xml
			CMapperXmlItemSetCollection coll = CMapperXmlItemSetCollection.FromXml ( xml );
			if ( coll == null )
			{
				OnQuery (
					"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
					"<oktellxmlmapper version=\"80710\">" +
					"<data name=\"query\" count=\"1\">" +
					"	<property_set name=\"notify\">" +
					"	<property_cdata key=\"type\" ><![CDATA[warn]]></property_cdata>" +
					"	<property_cdata key=\"text\"><![CDATA[  ]]></property_cdata>" +
					"	</property_set>" +
					"</data>" +
					"</oktellxmlmapper>"
					);
				return;
			}
			else	
			{
				coll = coll [ 0 ].SubSets;
				CMapperXmlItemSetCollection coll2;
				CMapperXmlItemSetCollection coll3;

				if ( coll.Count < 2 )
				{
					OnQuery (
						"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
						"<oktellxmlmapper version=\"80710\">" +
						"<data name=\"query\" count=\"1\">" +
						"	<property_set name=\"notify\">" +
						"	<property_cdata key=\"type\" ><![CDATA[warn]]></property_cdata>" +
						"	<property_cdata key=\"text\"><![CDATA[  ]]></property_cdata>" +
						"	</property_set>" +
						"</data>" +
						"</oktellxmlmapper>"
						);
					return;
				}
				else
				{
					CMapperXmlItemSet headset = null;
					CMapperXmlItemSet dataset = null;

					for ( int i = 0; i < coll.Count; i++ )
					{
						CMapperXmlItemSet tset = coll [ i ];
						switch ( tset.Name.ToLower() )
						{
							case "tableheader":
								headset = tset;
								break;

							case "tabledata":
								dataset = tset;
								break;
						}
					}

					if (( headset != null ) && ( dataset != null ))
					{
						Hashtable hash = new Hashtable ();

						#region  
						coll = headset.SubSets;
						//  
						for ( int i = 0; i < coll.Count; i++ )
						{
							CMapperXmlItemSet tset = coll [ i ];
							if (tset.Count > 0 )
							{
								string tmps = CMapperXmlItem.GetValueName ( tset[0] );
								string Id = tset.IdName;
								string Value = null;
								for ( int i4 = 0; i4 < tset.Count; i4++ )
									if ( tset[i4].Key.ToLower() == "name" )
										Value = CMapperXmlItem.GetValueName (tset[i4] );
								hash [ Id ] = Value;
							}
						}
						#endregion

						#region  
						coll2 = dataset.SubSets;
						//  
						if ( coll2.Count < 2 )
						{
							OnQuery (
								"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
								"<oktellxmlmapper version=\"80710\">" +
								"<data name=\"query\" count=\"1\">" +
								"	<property_set name=\"notify\">" +
								"	<property_cdata key=\"type\" ><![CDATA[warn]]></property_cdata>" +
								"	<property_cdata key=\"text\"><![CDATA[  ]]></property_cdata>" +
								"	</property_set>" +
								"</data>" +
								"</oktellxmlmapper>"
								);
							return;
						}


						CMapperXmlItemSet xset = coll2 [ coll2.Count-1 ];
						coll3 = xset.SubSets;
						//  
						for ( int i3 = 0; i3 < coll3.Count; i3++ )
						{
							xset = coll3 [ i3 ];
							if (xset.Count > 0 )
							{
									
								string tmps = CMapperXmlItem.GetValueName ( xset[0] );

								switch ( (hash [xset.IdName] as string).ToLower() )
								{
									case "name":
										count = int.Parse(tmps);
										break;
								}
							}
						}

						//MessageBox.Show ( count.ToString() );


						for ( int i2 = 0; i2 < coll2.Count-1; i2++ )
						{
							Base.DBField field = new OktellPlugin.Base.DBField();
							
							CMapperXmlItemSet tset = coll2 [ i2 ];
							coll3 = tset.SubSets;
							//  
							for ( int i3 = 0; i3 < coll3.Count; i3++ )
							{
								tset = coll3 [ i3 ];
								if (tset.Count > 0 )
								{
									
									string tmps = CMapperXmlItem.GetValueName ( tset[0] );

									switch ( (hash [tset.IdName] as string).ToLower() )
									{
										case "id":
											field.Id = int.Parse(tmps);
											break;
										case "name":
											field.Name = tmps;
											break;
										case "tip_work":
											field.Tip_work = tmps;
											break;
										case "region_name":
											field.Region_name = tmps;
											break;
										case "indeks":
											field.Indeks = int.Parse(tmps);
											break;
										case "city":
											field.City = tmps;
											break;
										case "adress":
											field.Adress = tmps;
											break;
										case "phone":
											field.Phone = tmps;
											break;
										case "fax":
											field.Fax = tmps;
											break;
										case "email":
											field.Email = tmps;
											break;
										case "www":
											field.Www = tmps;
											break;
										case "fio":
											field.Fio = tmps;
											break;
										case "dolgnost":
											field.Dolgnost = tmps;
											break;
										case "otdel":
											field.Otdel = tmps;
											break;
										case "type":
											field.Type = int.Parse(tmps);
											break;
										case "interes":
											field.Interes = int.Parse(tmps);
											break;
										case "manager":
											field.Manager = new Guid(tmps);
											break;
										case "comment":
											field.Comment = tmps;
											break;
										case "recalldate":
											if (tmps=="")
												field.RecallDate = DateTime.MinValue;
											else
											{
												try
												{
													field.RecallDate = DateTime.Parse(tmps);
												}
												catch{}
											}
											break;
									}

								}
							}
							source.Add ( field );
						}

						lblCount.Text = ": " + count + ", : " + (coll2.Count-1);
						#endregion
					}
				}

			}
			#endregion

//			ColManager.Visible = (setManager.GetCheckedItems().Count>1);
//			ColType.Visible = (setType.GetCheckedItems().Count>1);

			ArrayList columns = new ArrayList();
			columns.Add (ColName);
			columns.Add (ColTip_work);
			if (setType.GetCheckedItems().Count>1)
				columns.Add (ColType);
			columns.Add (ColCity);
			columns.Add (ColRegion);
			columns.Add (ColIndeks);
			if (setManager.GetCheckedItems().Count>1)
				columns.Add (ColManager);
			columns.Add (ColRecall);
			columns.Add (ColPic);


            OGrid2.CDataColumn[] arrayColumns = new OGrid2.CDataColumn[ columns.Count ];
            for (int i = 0; i < arrayColumns.Length; i++)
                arrayColumns [ i ] = columns [ i ] as OGrid2.CDataColumn;
            GrdControl.Columns = arrayColumns;
			//GrdControl.Columns = columns.ToArray(typeof(OGrid2.CDataColumn)) as OGrid2.CDataColumn[];

			GrdControl.DataSource = source;
			GrdControl.Refresh();
		}


		private void TextEditKeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
		{
			if (e.KeyCode == Keys.Enter)
				btnFilter_Click( null, new System.EventArgs() );
		}

//		private void setManager_QueryDisplayText(object sender, DevExpress.XtraEditors.Controls.QueryDisplayTextEventArgs e)
//		{
//			string txt = "";
//			bool All = true;
//			int CheckCnt = 0;
//			for (int i = 0; i<setManager.Items.Count; i++)
//			{
//				Base.Manager Tag = (Base.Manager) setManager.Items[i].Tag;
//				if (setManager.Items[i].Checked)
//				{
//					if (txt == "")
//						txt = Tag.Name;
//					else
//						txt += ", " + Tag.Name;
//					CheckCnt++;
//				}
//				else
//					All = false;
//			}
//
//			if (txt == "")
//				e.DisplayText = "";
//			else
//			{
//				if ((CheckCnt>1)&&(All))
//					e.DisplayText = "";
//				else
//					e.DisplayText = txt;
//			}
//		}


//		private void setWorkType_QueryDisplayText(object sender, DevExpress.XtraEditors.Controls.QueryDisplayTextEventArgs e)
//		{
//			string txt = "";
//			bool All = true;
//			int CheckCnt = 0;
//			for (int i = 0; i<setWorkType.Items.Count; i++)
//			{
//				if (setWorkType.Items[i].Checked)
//				{
//					if (txt == "")
//						txt = setWorkType.Items[i].Text;
//					else
//						txt += ", " + setWorkType.Items[i].Text;
//					CheckCnt++;
//				}
//				else
//					All = false;
//			}
//
//			if (txt == "")
//				e.DisplayText = "";
//			else
//			{
//				if ((CheckCnt>1)&&(All))
//					e.DisplayText = "";
//				else
//					e.DisplayText = txt;
//			}
//		}


		OGrid2.CDataColumn ColName = new oktellClient.Controls.OGrid2.CDataColumn( "", "Name" );
		OGrid2.CDataColumn ColTip_work = new oktellClient.Controls.OGrid2.CDataColumn( " ", "Tip_work" );
		OGrid2.CDataColumn ColType = new oktellClient.Controls.OGrid2.CDataColumn( " ", "TypeStr" );
		OGrid2.CDataColumn ColCity = new oktellClient.Controls.OGrid2.CDataColumn( "", "City" );
		OGrid2.CDataColumn ColRegion = new oktellClient.Controls.OGrid2.CDataColumn( "", "Region_name" );
		OGrid2.CDataColumn ColIndeks = new oktellClient.Controls.OGrid2.CDataColumn( "", "Indeks" );
		OGrid2.CDataColumn ColManager = new oktellClient.Controls.OGrid2.CDataColumn( "", "ManagerStr" );
		OGrid2.CDataColumn ColRecall = new oktellClient.Controls.OGrid2.CDataColumn( "", "RecallDateStr" );
		OGrid2.CDataColumn ColPic = new oktellClient.Controls.OGrid2.CDataColumn();

		private void Base_OnManagersChanged()
		{
			TreeSimpleItemInfo item;

			setManager.Items.Clear();
			Base.Manager mngr;
			
			item = new TreeSimpleItemInfo ();
			item.Checked = false;
			mngr = new OktellPlugin.Base.Manager(" ", Guid.Empty );
			item.Tag = mngr ;
			item.Text = mngr.Name;
			setManager.Items.Add ( item );

			for ( int i = 0; i<Base.Managers.Count; i++ )
			{
				item = new TreeSimpleItemInfo ();
				item.Checked = false;
				mngr = (Base.Manager) Base.Managers[i];
				item.Tag = mngr ;
				item.Text = mngr.Name;
				setManager.Items.Add ( item );
			}
			setManager.RedrawFull();
			setManager.Refresh();

			/*
			cbxType_work.Properties.Items.Clear();
			for ( int i = 0; i<Base.WorkTypes.Count; i++ )
				cbxType_work.Properties.Items.Add(Base.WorkTypes[i]);
			*/

			setWorkType.Items.Clear();

			for ( int i = 0; i<Base.WorkTypes.Count; i++ )
			{
				item = new TreeSimpleItemInfo ();
				item.Checked = false;
				item.Text = (string) Base.WorkTypes[i];
				setWorkType.Items.Add ( item );
			}
			setWorkType.RedrawFull();
			setWorkType.Refresh();
		}

//		private void cbxInteres_DrawItem(object sender, DevExpress.XtraEditors.ListBoxDrawItemEventArgs e)
//		{
//			int w = 8;
//			//int l = e.Bounds.Left + (e.Bounds.Width-w)/2;
//			int l = e.Bounds.Left + 5;
//
//			int t = e.Bounds.Top + (e.Bounds.Height-w)/2-1;
//
//			e.Graphics.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality;
//			System.Drawing.Drawing2D.GraphicsPath path = new System.Drawing.Drawing2D.GraphicsPath ();
//			float r = 1.5F;
//			path.Reset ();
//			path.AddArc ( l , t , 2*r, 2*r, 180, 90 );
//			path.AddArc ( l - 2*r + w, t , 2*r, 2*r, 270, 90 );
//			path.AddArc ( l - 2*r + w, t - 2*r + w, 2*r, 2*r, 0, 90 );
//			path.AddArc ( l , t  - 2*r + w, 2*r, 2*r, 90, 90 );
//			path.CloseFigure ();
//
//			SolidBrush br;
//
//			Base.TypeComboItems item = (Base.TypeComboItems) e.Item;
//
//			switch ( item.Code )
//			{
//				case 2:
//					br = new SolidBrush ( Color.FromArgb( 100, 100, 100 ) );
//					break;
//				case 1:
//					br = new SolidBrush ( Color.FromArgb( 150, 190, 105 ) );
//					break;
//				case -1:
//					br = new SolidBrush ( Color.FromArgb( 230, 130, 120 ) );
//					break;
//				default:
//					br = new SolidBrush ( Color.FromArgb( 210, 210, 210 ) );
//					break;
//
//			}
//
//			e.Graphics.FillPath ( br, path );
//
//			path.Dispose ();
//			br.Dispose ();
//		}

		private void cbxInteres_Paint(object sender, System.Windows.Forms.PaintEventArgs e)
		{
			oktellComboBox2 cbx = sender as oktellComboBox2;
			if (cbx==null) return;

			int w = 8;
			//int l = e.Bounds.Left + (e.Bounds.Width-w)/2;
			int l = 5;

			int t = (cbx.Height-w)/2-1;

			e.Graphics.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality;
			System.Drawing.Drawing2D.GraphicsPath path = new System.Drawing.Drawing2D.GraphicsPath ();
			float r = 1.5F;
			path.Reset ();
			path.AddArc ( l , t , 2*r, 2*r, 180, 90 );
			path.AddArc ( l - 2*r + w, t , 2*r, 2*r, 270, 90 );
			path.AddArc ( l - 2*r + w, t - 2*r + w, 2*r, 2*r, 0, 90 );
			path.AddArc ( l , t  - 2*r + w, 2*r, 2*r, 90, 90 );
			path.CloseFigure ();

			SolidBrush br;

			Base.TypeComboItems item = (Base.TypeComboItems) cbx.SelectedItem;

			switch ( item.Code )
			{
				case 2:
					br = new SolidBrush ( Color.FromArgb( 100, 100, 100 ) );
					break;
				case 1:
					br = new SolidBrush ( Color.FromArgb( 150, 190, 105 ) );
					break;
				case -1:
					br = new SolidBrush ( Color.FromArgb( 230, 130, 120 ) );
					break;
				default:
					br = new SolidBrush ( Color.FromArgb( 210, 210, 210 ) );
					break;

			}

			e.Graphics.FillPath ( br, path );

			path.Dispose ();
			br.Dispose ();
		}

		private void boxRecall_CheckedChanged(object sender, System.EventArgs e)
		{
			cbxRecall.Enabled = boxRecall.Checked;
		}

		private void GrdControl_DoubleClick(object sender, System.EventArgs e)
		{
			try
			{
				Point p = GrdControl.PointToClient(Control.MousePosition);
				OGrid2.GridHitInfo hitInfo = GrdControl.CalcHitInfo(p);
				if (hitInfo.InRow)
				{
					int frh = GrdControl.FocusedRowHandle;
					if ( frh >= 0 )
					{
						EditPlease();
					}
				}
			}
			catch{}
		}

		private void GrdControl_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
		{
			switch (e.KeyCode)
			{
				case Keys.Insert:
					buttonBar_OnButtonPressed(1);
					break;
				case Keys.Enter:
					buttonBar_OnButtonPressed(2);
					break;
				case Keys.Delete:
					buttonBar_OnButtonPressed(3);
					break;
			}
		}

		private void GrdControl_CustomDrawCell(object sender, oktellClient.Controls.OGrid2.CustomDrawEventArgs e)
		{
            try
            {
                if (e.Column == ColPic)
                {
                    e.DisplayText = "";
                    int w = 8;
                    int l = e.Bounds.Left + (e.Bounds.Width - w) / 2;
                    //int l = e.Bounds.Left + 2;

                    int t = e.Bounds.Top + (e.Bounds.Height - w) / 2;

                    e.Graphics.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality;
                    System.Drawing.Drawing2D.GraphicsPath path = new System.Drawing.Drawing2D.GraphicsPath ();
                    float r = 1.5F;
                    path.Reset ();
                    path.AddArc (l, t, 2 * r, 2 * r, 180, 90);
                    path.AddArc (l - 2 * r + w, t, 2 * r, 2 * r, 270, 90);
                    path.AddArc (l - 2 * r + w, t - 2 * r + w, 2 * r, 2 * r, 0, 90);
                    path.AddArc (l, t - 2 * r + w, 2 * r, 2 * r, 90, 90);
                    path.CloseFigure ();

                    SolidBrush br;

                    int idx = GrdControl.GetDataSourceRowIndex (e.RowHandle);
                    ArrayList source = (ArrayList) GrdControl.DataSource;
                    Base.DBField field = (Base.DBField) source [ idx ];

                    switch (field.Interes)
                    {
                        case 1:
                            br = new SolidBrush (Color.FromArgb (150, 190, 105));
                            break;
                        case -1:
                            br = new SolidBrush (Color.FromArgb (230, 130, 120));
                            break;
                        default:
                            br = new SolidBrush (Color.FromArgb (210, 210, 210));
                            break;

                    }
                    e.Graphics.FillPath (br, path);

                    path.Dispose ();
                    br.Dispose ();
                }
            }
            catch { };
		}

		private void setType_QueryDisplayText(object sender, oktellClient.Controls.QueryDisplayTextEventArgs e)
		{
			string txt = "";
			bool All = true;
			int CheckCnt = 0;
			for (int i = 0; i<setType.Items.Count; i++)
			{
				Base.TypeComboItems Tag = (Base.TypeComboItems) setType.Items[i].Tag;
				if (setType.Items[i].Checked)
				{
					if (txt == "")
						txt = Tag.Caption;
					else
						txt += ", " + Tag.Caption;
					CheckCnt++;
				}
				else
					All = false;
			}

			if (txt == "")
				e.DisplayText = "";
			else
			{
				if ((CheckCnt>1)&&(All))
					e.DisplayText = "";
				else
					e.DisplayText = txt;
			}
		}
	}
}
