using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using oktellClient.Controls;

namespace OktellPlugin
{
	/// <summary>
	///   ()
	/// </summary>
	public class Control02 : System.Windows.Forms.UserControl
	{
		#region fields
		private System.Windows.Forms.Panel pnlParent;
		private oktellClient.Controls.oktellButtonBar buttonBar;
		private oktellClient.Controls.oktellLabel oktellLabel1;
		private oktellClient.Controls.oktellTextEdit2 txtName;
		private oktellClient.Controls.oktellLabel lblName;
		private oktellClient.Controls.oktellLabel oktellLabel2;
		private oktellClient.Controls.oktellLabel oktellLabel3;
		private oktellClient.Controls.oktellLabel oktellLabel13;
		private oktellClient.Controls.oktellLabel oktellLabel16;
		private oktellClient.Controls.oktellLabel oktellLabel14;
		private oktellClient.Controls.oktellLabel oktellLabel17;
		private oktellClient.Controls.oktellLabel oktellLabel19;
		private oktellClient.Controls.oktellLabel oktellLabel18;
		private oktellClient.Controls.oktellLabel oktellLabel20;
		private oktellClient.Controls.oktellTextEdit2 txtWWW;
		private oktellClient.Controls.oktellLabel lblWWW;
		private static oktellClient.Controls.oktellTextEdit2 txtEmail;
		private static oktellClient.Controls.oktellTextEdit2 txtFax;
		private oktellClient.Controls.oktellLabel lblEmail;
		private oktellClient.Controls.oktellLabel lblFax;
		private oktellClient.Controls.oktellTextEdit2 txtPhone;
		private oktellClient.Controls.oktellLabel lblPhone;
		private oktellClient.Controls.oktellLabel lnkWWW;
		private oktellClient.Controls.oktellLabel lnkEmail;
		private oktellClient.Controls.oktellLabel lnkFax;
		private oktellClient.Controls.oktellLabel lnkPhone;
		private oktellClient.Controls.oktellTextEdit2 txtFio;
		private oktellClient.Controls.oktellLabel lblFio;
		private oktellClient.Controls.oktellComboBox2 cbxType;
		private oktellClient.Controls.oktellRichEdit txtComment;
		private oktellClient.Controls.oktellTextEdit2 txtCity;
		private oktellClient.Controls.oktellTextEdit2 txtRegion;
		private oktellClient.Controls.oktellTextEdit2 txtIndex;
		private oktellClient.Controls.oktellTextEdit2 txtAdress;
		private oktellClient.Controls.oktellComboBox2 cbxManager;
		private System.ComponentModel.Container components = null;
		private oktellClient.Controls.oktellComboBox2 cbxInteres;
		private oktellClient.Controls.oktellComboBox2 cbxType_work;
		private oktellClient.Controls.oktellLabel oktellLabel4;
		private oktellClient.Controls.oktellCheckBox boxRecall;
		private oktellClient.Controls.oktellTimeComboBox cbxRecallTime;
		private oktellClient.Controls.oktellCalendarComboBox cbxRecallDate;
		private oktellClient.Controls.oktellTextEdit2 txtDolgnost;
		private oktellClient.Controls.oktellTextEdit2 txtOtdel;
		public event Base.PluginQueryInvoker OnQuery;
		public event ControlParent.FinishEditHandler OnFinish;
		private Hashtable ManagersById = new Hashtable();
		#endregion

		#region Common
		public Control02()
		{
			InitializeComponent();
			this.Dock = DockStyle.Fill;

			Base.OnManagersChanged+=new OktellPlugin.Base.ManagersChangedHandler(Base_OnManagersChanged);

			cbxType.Properties.Items.Add ( new Base.TypeComboItems("",0) );
			cbxType.Properties.Items.Add ( new Base.TypeComboItems(" ",1) );
			cbxType.Properties.Items.Add ( new Base.TypeComboItems("",2) );
			cbxType.Properties.Items.Add ( new Base.TypeComboItems(" ",3) );

			cbxInteres.Properties.Items.Add ( new Base.TypeComboItems("     ",-1) );
			cbxInteres.Properties.Items.Add ( new Base.TypeComboItems("     ",0) );
			cbxInteres.Properties.Items.Add ( new Base.TypeComboItems("     ",1) );

			buttonBar.RightButtons.Add(new oktellClient.Controls.ButtonProperty ("", "F12", Keys.NoName , 1));
			buttonBar.RightButtons.Add(new oktellClient.Controls.ButtonProperty ("", "Esc", Keys.NoName , 2));
			buttonBar.OnButtonPressed +=new oktellClient.Controls.ButtonPressed_handler(buttonBar_OnButtonPressed);

			cbxRecallDate.DateStart = DateTime.Now.Date;
			cbxRecallTime.TimeStart = DateTime.Now;
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.pnlParent = new System.Windows.Forms.Panel();
			this.txtOtdel = new oktellClient.Controls.oktellTextEdit2();
			this.txtDolgnost = new oktellClient.Controls.oktellTextEdit2();
			this.cbxRecallTime = new oktellClient.Controls.oktellTimeComboBox();
			this.boxRecall = new oktellClient.Controls.oktellCheckBox();
			this.cbxRecallDate = new oktellClient.Controls.oktellCalendarComboBox();
			this.oktellLabel4 = new oktellClient.Controls.oktellLabel();
			this.cbxType_work = new oktellClient.Controls.oktellComboBox2();
			this.cbxManager = new oktellClient.Controls.oktellComboBox2();
			this.txtAdress = new oktellClient.Controls.oktellTextEdit2();
			this.txtRegion = new oktellClient.Controls.oktellTextEdit2();
			this.txtCity = new oktellClient.Controls.oktellTextEdit2();
			this.txtIndex = new oktellClient.Controls.oktellTextEdit2();
			this.txtComment = new oktellClient.Controls.oktellRichEdit();
			this.cbxInteres = new oktellClient.Controls.oktellComboBox2();
			this.cbxType = new oktellClient.Controls.oktellComboBox2();
			this.oktellLabel18 = new oktellClient.Controls.oktellLabel();
			this.oktellLabel20 = new oktellClient.Controls.oktellLabel();
			this.oktellLabel14 = new oktellClient.Controls.oktellLabel();
			this.oktellLabel17 = new oktellClient.Controls.oktellLabel();
			this.oktellLabel19 = new oktellClient.Controls.oktellLabel();
			this.oktellLabel16 = new oktellClient.Controls.oktellLabel();
			this.txtFio = new oktellClient.Controls.oktellTextEdit2();
			this.lblFio = new oktellClient.Controls.oktellLabel();
			this.oktellLabel13 = new oktellClient.Controls.oktellLabel();
			this.lnkWWW = new oktellClient.Controls.oktellLabel();
			this.lnkEmail = new oktellClient.Controls.oktellLabel();
			this.lnkFax = new oktellClient.Controls.oktellLabel();
			this.lnkPhone = new oktellClient.Controls.oktellLabel();
			this.txtWWW = new oktellClient.Controls.oktellTextEdit2();
			this.lblWWW = new oktellClient.Controls.oktellLabel();
			txtEmail = new oktellClient.Controls.oktellTextEdit2();
			this.lblEmail = new oktellClient.Controls.oktellLabel();
			txtFax = new oktellClient.Controls.oktellTextEdit2();
			this.lblFax = new oktellClient.Controls.oktellLabel();
			this.txtPhone = new oktellClient.Controls.oktellTextEdit2();
			this.lblPhone = new oktellClient.Controls.oktellLabel();
			this.oktellLabel3 = new oktellClient.Controls.oktellLabel();
			this.oktellLabel2 = new oktellClient.Controls.oktellLabel();
			this.txtName = new oktellClient.Controls.oktellTextEdit2();
			this.lblName = new oktellClient.Controls.oktellLabel();
			this.oktellLabel1 = new oktellClient.Controls.oktellLabel();
			this.buttonBar = new oktellClient.Controls.oktellButtonBar();
			this.pnlParent.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.txtOtdel.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txtDolgnost.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxRecallTime.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxRecallDate.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxType_work.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxManager.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txtAdress.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txtRegion.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txtCity.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txtIndex.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxInteres.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxType.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txtFio.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txtWWW.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(txtEmail.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(txtFax.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txtPhone.Properties)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txtName.Properties)).BeginInit();
			this.SuspendLayout();
			// 
			// pnlParent
			// 
			this.pnlParent.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.pnlParent.Controls.Add(this.txtOtdel);
			this.pnlParent.Controls.Add(this.txtDolgnost);
			this.pnlParent.Controls.Add(this.cbxRecallTime);
			this.pnlParent.Controls.Add(this.boxRecall);
			this.pnlParent.Controls.Add(this.cbxRecallDate);
			this.pnlParent.Controls.Add(this.oktellLabel4);
			this.pnlParent.Controls.Add(this.cbxType_work);
			this.pnlParent.Controls.Add(this.cbxManager);
			this.pnlParent.Controls.Add(this.txtAdress);
			this.pnlParent.Controls.Add(this.txtRegion);
			this.pnlParent.Controls.Add(this.txtCity);
			this.pnlParent.Controls.Add(this.txtIndex);
			this.pnlParent.Controls.Add(this.txtComment);
			this.pnlParent.Controls.Add(this.cbxInteres);
			this.pnlParent.Controls.Add(this.cbxType);
			this.pnlParent.Controls.Add(this.oktellLabel18);
			this.pnlParent.Controls.Add(this.oktellLabel20);
			this.pnlParent.Controls.Add(this.oktellLabel14);
			this.pnlParent.Controls.Add(this.oktellLabel17);
			this.pnlParent.Controls.Add(this.oktellLabel19);
			this.pnlParent.Controls.Add(this.oktellLabel16);
			this.pnlParent.Controls.Add(this.txtFio);
			this.pnlParent.Controls.Add(this.lblFio);
			this.pnlParent.Controls.Add(this.oktellLabel13);
			this.pnlParent.Controls.Add(this.lnkWWW);
			this.pnlParent.Controls.Add(this.lnkEmail);
			this.pnlParent.Controls.Add(this.lnkFax);
			this.pnlParent.Controls.Add(this.lnkPhone);
			this.pnlParent.Controls.Add(this.txtWWW);
			this.pnlParent.Controls.Add(this.lblWWW);
			this.pnlParent.Controls.Add(txtEmail);
			this.pnlParent.Controls.Add(this.lblEmail);
			this.pnlParent.Controls.Add(txtFax);
			this.pnlParent.Controls.Add(this.lblFax);
			this.pnlParent.Controls.Add(this.txtPhone);
			this.pnlParent.Controls.Add(this.lblPhone);
			this.pnlParent.Controls.Add(this.oktellLabel3);
			this.pnlParent.Controls.Add(this.oktellLabel2);
			this.pnlParent.Controls.Add(this.txtName);
			this.pnlParent.Controls.Add(this.lblName);
			this.pnlParent.Controls.Add(this.oktellLabel1);
			this.pnlParent.Location = new System.Drawing.Point(8, 8);
			this.pnlParent.Name = "pnlParent";
			this.pnlParent.Size = new System.Drawing.Size(616, 592);
			this.pnlParent.TabIndex = 5;
			// 
			// txtOtdel
			// 
			this.txtOtdel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtOtdel.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.txtOtdel.EditValue = "";
			this.txtOtdel.Location = new System.Drawing.Point(400, 312);
			this.txtOtdel.MainColor = System.Drawing.Color.Empty;
			this.txtOtdel.Name = "txtOtdel";
			// 
			// txtOtdel.Properties
			// 
			this.txtOtdel.Properties.Appearance.BackColor = System.Drawing.Color.White;
			this.txtOtdel.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtOtdel.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.txtOtdel.Properties.Appearance.ForeColor = System.Drawing.Color.LightGray;
			this.txtOtdel.Properties.Appearance.Options.UseBackColor = true;
			this.txtOtdel.Properties.Appearance.Options.UseBorderColor = true;
			this.txtOtdel.Properties.Appearance.Options.UseFont = true;
			this.txtOtdel.Properties.Appearance.Options.UseForeColor = true;
			this.txtOtdel.Properties.AutoHeight = false;
			this.txtOtdel.Size = new System.Drawing.Size(208, 20);
			this.txtOtdel.TabIndex = 12;
			this.txtOtdel.UseColorGroup = true;
			// 
			// txtDolgnost
			// 
			this.txtDolgnost.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.txtDolgnost.EditValue = "";
			this.txtDolgnost.Location = new System.Drawing.Point(144, 312);
			this.txtDolgnost.MainColor = System.Drawing.Color.Empty;
			this.txtDolgnost.Name = "txtDolgnost";
			// 
			// txtDolgnost.Properties
			// 
			this.txtDolgnost.Properties.Appearance.BackColor = System.Drawing.Color.White;
			this.txtDolgnost.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtDolgnost.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.txtDolgnost.Properties.Appearance.ForeColor = System.Drawing.Color.LightGray;
			this.txtDolgnost.Properties.Appearance.Options.UseBackColor = true;
			this.txtDolgnost.Properties.Appearance.Options.UseBorderColor = true;
			this.txtDolgnost.Properties.Appearance.Options.UseFont = true;
			this.txtDolgnost.Properties.Appearance.Options.UseForeColor = true;
			this.txtDolgnost.Properties.AutoHeight = false;
			this.txtDolgnost.Size = new System.Drawing.Size(248, 20);
			this.txtDolgnost.TabIndex = 11;
			this.txtDolgnost.UseColorGroup = true;
			// 
			// cbxRecallTime
			// 
			this.cbxRecallTime.AutoUpdateEditValue = true;
			this.cbxRecallTime.CalendarType = oktellClient.Controls.ECalendarType.ctDate;
			this.cbxRecallTime.EditValue = "8:00";
			this.cbxRecallTime.HighLightColor = System.Drawing.Color.FromArgb(((System.Byte)(204)), ((System.Byte)(223)), ((System.Byte)(183)));
			this.cbxRecallTime.Location = new System.Drawing.Point(288, 520);
			this.cbxRecallTime.MainColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxRecallTime.Name = "cbxRecallTime";
			// 
			// cbxRecallTime.Properties
			// 
			this.cbxRecallTime.Properties.AllowFocused = false;
			this.cbxRecallTime.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxRecallTime.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.cbxRecallTime.Properties.Appearance.Options.UseBorderColor = true;
			this.cbxRecallTime.Properties.Appearance.Options.UseFont = true;
			this.cbxRecallTime.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			this.cbxRecallTime.Properties.AppearanceDisabled.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxRecallTime.Properties.AppearanceDisabled.Options.UseBackColor = true;
			this.cbxRecallTime.Properties.AppearanceDisabled.Options.UseBorderColor = true;
			this.cbxRecallTime.Properties.AppearanceDropDown.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxRecallTime.Properties.AppearanceDropDown.Options.UseBorderColor = true;
			this.cbxRecallTime.Properties.AutoHeight = false;
			this.cbxRecallTime.Properties.DropDownRows = 20;
			this.cbxRecallTime.Properties.ShowPopupShadow = false;
			this.cbxRecallTime.Size = new System.Drawing.Size(104, 20);
			this.cbxRecallTime.TabIndex = 19;
			this.cbxRecallTime.TimeStart = new System.DateTime(2009, 9, 3, 8, 0, 0, 0);
			this.cbxRecallTime.TimeStop = new System.DateTime(2009, 9, 3, 20, 0, 0, 0);
			this.cbxRecallTime.UseLeftDots = false;
			// 
			// boxRecall
			// 
			this.boxRecall.ArrowsColor = System.Drawing.Color.FromArgb(((System.Byte)(120)), ((System.Byte)(133)), ((System.Byte)(144)));
			this.boxRecall.BlockCheckBoxes = false;
			this.boxRecall.CheckByRow = false;
			this.boxRecall.DisabledColor = System.Drawing.Color.FromArgb(((System.Byte)(248)), ((System.Byte)(249)), ((System.Byte)(250)));
			this.boxRecall.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.boxRecall.Gray = false;
			this.boxRecall.GrayColor = System.Drawing.Color.FromArgb(((System.Byte)(234)), ((System.Byte)(238)), ((System.Byte)(242)));
			this.boxRecall.GrayText = "";
			this.boxRecall.LeftMargin = 3;
			this.boxRecall.Location = new System.Drawing.Point(141, 517);
			this.boxRecall.MarkColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.boxRecall.Name = "boxRecall";
			this.boxRecall.NotCheckedColor = System.Drawing.Color.FromArgb(((System.Byte)(170)), ((System.Byte)(170)), ((System.Byte)(170)));
			this.boxRecall.RectColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.boxRecall.RectSize = 19;
			this.boxRecall.SelColor = System.Drawing.Color.FromArgb(((System.Byte)(185)), ((System.Byte)(197)), ((System.Byte)(207)));
			this.boxRecall.Selected = false;
			this.boxRecall.ShowUpDown = false;
			this.boxRecall.Size = new System.Drawing.Size(24, 24);
			this.boxRecall.TabIndex = 17;
			this.boxRecall.TopMargin = 3;
			this.boxRecall.WordWrap = false;
			this.boxRecall.CheckedChanged += new System.EventHandler(this.boxRecall_CheckedChanged);
			// 
			// cbxRecallDate
			// 
			this.cbxRecallDate.AllowEdit = true;
			this.cbxRecallDate.AutoUpdateEditValue = true;
			this.cbxRecallDate.CalendarType = oktellClient.Controls.ECalendarType.ctDate;
			this.cbxRecallDate.DateStart = new System.DateTime(2009, 9, 3, 0, 0, 0, 0);
			this.cbxRecallDate.DateStop = new System.DateTime(2009, 9, 3, 23, 59, 59, 964);
			this.cbxRecallDate.EditValue = "03.09.2009";
			this.cbxRecallDate.Enabled = false;
			this.cbxRecallDate.HighLightColor = System.Drawing.Color.FromArgb(((System.Byte)(204)), ((System.Byte)(223)), ((System.Byte)(183)));
			this.cbxRecallDate.Location = new System.Drawing.Point(168, 520);
			this.cbxRecallDate.MainColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxRecallDate.Name = "cbxRecallDate";
			// 
			// cbxRecallDate.Properties
			// 
			this.cbxRecallDate.Properties.AllowFocused = false;
			this.cbxRecallDate.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxRecallDate.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.cbxRecallDate.Properties.Appearance.Options.UseBorderColor = true;
			this.cbxRecallDate.Properties.Appearance.Options.UseFont = true;
			this.cbxRecallDate.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			this.cbxRecallDate.Properties.AppearanceDisabled.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxRecallDate.Properties.AppearanceDisabled.Options.UseBackColor = true;
			this.cbxRecallDate.Properties.AppearanceDisabled.Options.UseBorderColor = true;
			this.cbxRecallDate.Properties.AppearanceDropDown.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxRecallDate.Properties.AppearanceDropDown.Options.UseBorderColor = true;
			this.cbxRecallDate.Properties.AutoHeight = false;
			this.cbxRecallDate.Properties.DropDownRows = 20;
			this.cbxRecallDate.Properties.Mask.EditMask = "99.99.0000";
			this.cbxRecallDate.Properties.Mask.PlaceHolder = '\0';
			this.cbxRecallDate.Properties.ShowPopupShadow = false;
			this.cbxRecallDate.Size = new System.Drawing.Size(112, 20);
			this.cbxRecallDate.TabIndex = 18;
			this.cbxRecallDate.UseLeftDots = false;
			// 
			// oktellLabel4
			// 
			this.oktellLabel4.AutoSize = true;
			this.oktellLabel4.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.oktellLabel4.ForeColor = System.Drawing.Color.Gray;
			this.oktellLabel4.Location = new System.Drawing.Point(32, 520);
			this.oktellLabel4.Name = "oktellLabel4";
			this.oktellLabel4.Size = new System.Drawing.Size(76, 16);
			this.oktellLabel4.TabIndex = 60;
			this.oktellLabel4.Text = ":";
			// 
			// cbxType_work
			// 
			this.cbxType_work.EditValue = "";
			this.cbxType_work.HighLightColor = System.Drawing.Color.FromArgb(((System.Byte)(204)), ((System.Byte)(223)), ((System.Byte)(183)));
			this.cbxType_work.Location = new System.Drawing.Point(144, 64);
			this.cbxType_work.MainColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxType_work.Name = "cbxType_work";
			// 
			// cbxType_work.Properties
			// 
			this.cbxType_work.Properties.AllowFocused = false;
			this.cbxType_work.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxType_work.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.cbxType_work.Properties.Appearance.Options.UseBorderColor = true;
			this.cbxType_work.Properties.Appearance.Options.UseFont = true;
			this.cbxType_work.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			this.cbxType_work.Properties.AppearanceDisabled.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxType_work.Properties.AppearanceDisabled.Options.UseBackColor = true;
			this.cbxType_work.Properties.AppearanceDisabled.Options.UseBorderColor = true;
			this.cbxType_work.Properties.AppearanceDropDown.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxType_work.Properties.AppearanceDropDown.Options.UseBorderColor = true;
			this.cbxType_work.Properties.AutoHeight = false;
			this.cbxType_work.Properties.DropDownRows = 20;
			this.cbxType_work.Properties.ShowPopupShadow = false;
			this.cbxType_work.Size = new System.Drawing.Size(248, 20);
			this.cbxType_work.TabIndex = 1;
			this.cbxType_work.UseLeftDots = false;
			// 
			// cbxManager
			// 
			this.cbxManager.EditValue = "";
			this.cbxManager.HighLightColor = System.Drawing.Color.FromArgb(((System.Byte)(204)), ((System.Byte)(223)), ((System.Byte)(183)));
			this.cbxManager.Location = new System.Drawing.Point(144, 424);
			this.cbxManager.MainColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxManager.Name = "cbxManager";
			// 
			// cbxManager.Properties
			// 
			this.cbxManager.Properties.AllowFocused = false;
			this.cbxManager.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxManager.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.cbxManager.Properties.Appearance.Options.UseBorderColor = true;
			this.cbxManager.Properties.Appearance.Options.UseFont = true;
			this.cbxManager.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			this.cbxManager.Properties.AppearanceDisabled.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxManager.Properties.AppearanceDisabled.Options.UseBackColor = true;
			this.cbxManager.Properties.AppearanceDisabled.Options.UseBorderColor = true;
			this.cbxManager.Properties.AppearanceDropDown.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxManager.Properties.AppearanceDropDown.Options.UseBorderColor = true;
			this.cbxManager.Properties.AutoHeight = false;
			this.cbxManager.Properties.DropDownRows = 20;
			this.cbxManager.Properties.ShowPopupShadow = false;
			this.cbxManager.Size = new System.Drawing.Size(248, 20);
			this.cbxManager.TabIndex = 15;
			this.cbxManager.UseLeftDots = false;
			// 
			// txtAdress
			// 
			this.txtAdress.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtAdress.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.txtAdress.EditValue = "";
			this.txtAdress.Location = new System.Drawing.Point(144, 120);
			this.txtAdress.MainColor = System.Drawing.Color.Empty;
			this.txtAdress.Name = "txtAdress";
			// 
			// txtAdress.Properties
			// 
			this.txtAdress.Properties.Appearance.BackColor = System.Drawing.Color.White;
			this.txtAdress.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtAdress.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.txtAdress.Properties.Appearance.ForeColor = System.Drawing.Color.LightGray;
			this.txtAdress.Properties.Appearance.Options.UseBackColor = true;
			this.txtAdress.Properties.Appearance.Options.UseBorderColor = true;
			this.txtAdress.Properties.Appearance.Options.UseFont = true;
			this.txtAdress.Properties.Appearance.Options.UseForeColor = true;
			this.txtAdress.Properties.AutoHeight = false;
			this.txtAdress.Size = new System.Drawing.Size(464, 20);
			this.txtAdress.TabIndex = 5;
			this.txtAdress.UseColorGroup = true;
			this.txtAdress.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			// 
			// txtRegion
			// 
			this.txtRegion.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.txtRegion.EditValue = "";
			this.txtRegion.Location = new System.Drawing.Point(144, 96);
			this.txtRegion.MainColor = System.Drawing.Color.Empty;
			this.txtRegion.Name = "txtRegion";
			// 
			// txtRegion.Properties
			// 
			this.txtRegion.Properties.Appearance.BackColor = System.Drawing.Color.White;
			this.txtRegion.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtRegion.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.txtRegion.Properties.Appearance.ForeColor = System.Drawing.Color.LightGray;
			this.txtRegion.Properties.Appearance.Options.UseBackColor = true;
			this.txtRegion.Properties.Appearance.Options.UseBorderColor = true;
			this.txtRegion.Properties.Appearance.Options.UseFont = true;
			this.txtRegion.Properties.Appearance.Options.UseForeColor = true;
			this.txtRegion.Properties.AutoHeight = false;
			this.txtRegion.Size = new System.Drawing.Size(248, 20);
			this.txtRegion.TabIndex = 2;
			this.txtRegion.UseColorGroup = true;
			this.txtRegion.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			// 
			// txtCity
			// 
			this.txtCity.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtCity.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.txtCity.EditValue = "";
			this.txtCity.Location = new System.Drawing.Point(488, 96);
			this.txtCity.MainColor = System.Drawing.Color.Empty;
			this.txtCity.Name = "txtCity";
			// 
			// txtCity.Properties
			// 
			this.txtCity.Properties.Appearance.BackColor = System.Drawing.Color.White;
			this.txtCity.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtCity.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.txtCity.Properties.Appearance.ForeColor = System.Drawing.Color.LightGray;
			this.txtCity.Properties.Appearance.Options.UseBackColor = true;
			this.txtCity.Properties.Appearance.Options.UseBorderColor = true;
			this.txtCity.Properties.Appearance.Options.UseFont = true;
			this.txtCity.Properties.Appearance.Options.UseForeColor = true;
			this.txtCity.Properties.AutoHeight = false;
			this.txtCity.Size = new System.Drawing.Size(120, 20);
			this.txtCity.TabIndex = 4;
			this.txtCity.UseColorGroup = true;
			this.txtCity.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			// 
			// txtIndex
			// 
			this.txtIndex.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.txtIndex.EditValue = "";
			this.txtIndex.Location = new System.Drawing.Point(400, 96);
			this.txtIndex.MainColor = System.Drawing.Color.Empty;
			this.txtIndex.Name = "txtIndex";
			// 
			// txtIndex.Properties
			// 
			this.txtIndex.Properties.Appearance.BackColor = System.Drawing.Color.White;
			this.txtIndex.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtIndex.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.txtIndex.Properties.Appearance.ForeColor = System.Drawing.Color.LightGray;
			this.txtIndex.Properties.Appearance.Options.UseBackColor = true;
			this.txtIndex.Properties.Appearance.Options.UseBorderColor = true;
			this.txtIndex.Properties.Appearance.Options.UseFont = true;
			this.txtIndex.Properties.Appearance.Options.UseForeColor = true;
			this.txtIndex.Properties.AutoHeight = false;
			this.txtIndex.Size = new System.Drawing.Size(80, 20);
			this.txtIndex.TabIndex = 3;
			this.txtIndex.UseColorGroup = true;
			this.txtIndex.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			// 
			// txtComment
			// 
			this.txtComment.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtComment.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtComment.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.txtComment.Location = new System.Drawing.Point(144, 448);
			this.txtComment.MainColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtComment.Name = "txtComment";
			this.txtComment.Size = new System.Drawing.Size(464, 68);
			this.txtComment.TabIndex = 16;
			this.txtComment.UseColorGroup = true;
			this.txtComment.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			// 
			// cbxInteres
			// 
			this.cbxInteres.EditValue = "";
			this.cbxInteres.HighLightColor = System.Drawing.Color.FromArgb(((System.Byte)(204)), ((System.Byte)(223)), ((System.Byte)(183)));
			this.cbxInteres.Location = new System.Drawing.Point(144, 400);
			this.cbxInteres.MainColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxInteres.Name = "cbxInteres";
			// 
			// cbxInteres.Properties
			// 
			this.cbxInteres.Properties.AllowFocused = false;
			this.cbxInteres.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxInteres.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.cbxInteres.Properties.Appearance.Options.UseBorderColor = true;
			this.cbxInteres.Properties.Appearance.Options.UseFont = true;
			this.cbxInteres.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			this.cbxInteres.Properties.AppearanceDisabled.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxInteres.Properties.AppearanceDisabled.Options.UseBackColor = true;
			this.cbxInteres.Properties.AppearanceDisabled.Options.UseBorderColor = true;
			this.cbxInteres.Properties.AppearanceDropDown.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxInteres.Properties.AppearanceDropDown.Options.UseBorderColor = true;
			this.cbxInteres.Properties.AutoHeight = false;
			this.cbxInteres.Properties.DropDownRows = 20;
			this.cbxInteres.Properties.ShowPopupShadow = false;
			this.cbxInteres.Size = new System.Drawing.Size(248, 20);
			this.cbxInteres.TabIndex = 14;
			this.cbxInteres.UseLeftDots = false;
			this.cbxInteres.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			this.cbxInteres.Paint += new System.Windows.Forms.PaintEventHandler(this.cbxInteres_Paint);
			// 
			// cbxType
			// 
			this.cbxType.EditValue = "";
			this.cbxType.HighLightColor = System.Drawing.Color.FromArgb(((System.Byte)(204)), ((System.Byte)(223)), ((System.Byte)(183)));
			this.cbxType.Location = new System.Drawing.Point(144, 376);
			this.cbxType.MainColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxType.Name = "cbxType";
			// 
			// cbxType.Properties
			// 
			this.cbxType.Properties.AllowFocused = false;
			this.cbxType.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxType.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.cbxType.Properties.Appearance.Options.UseBorderColor = true;
			this.cbxType.Properties.Appearance.Options.UseFont = true;
			this.cbxType.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			this.cbxType.Properties.AppearanceDisabled.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxType.Properties.AppearanceDisabled.Options.UseBackColor = true;
			this.cbxType.Properties.AppearanceDisabled.Options.UseBorderColor = true;
			this.cbxType.Properties.AppearanceDropDown.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.cbxType.Properties.AppearanceDropDown.Options.UseBorderColor = true;
			this.cbxType.Properties.AutoHeight = false;
			this.cbxType.Properties.DropDownRows = 20;
			this.cbxType.Properties.ShowPopupShadow = false;
			this.cbxType.Size = new System.Drawing.Size(248, 20);
			this.cbxType.TabIndex = 13;
			this.cbxType.UseLeftDots = false;
			this.cbxType.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			// 
			// oktellLabel18
			// 
			this.oktellLabel18.AutoSize = true;
			this.oktellLabel18.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.oktellLabel18.ForeColor = System.Drawing.Color.Gray;
			this.oktellLabel18.Location = new System.Drawing.Point(32, 451);
			this.oktellLabel18.Name = "oktellLabel18";
			this.oktellLabel18.Size = new System.Drawing.Size(80, 16);
			this.oktellLabel18.TabIndex = 48;
			this.oktellLabel18.Text = ":";
			// 
			// oktellLabel20
			// 
			this.oktellLabel20.AutoSize = true;
			this.oktellLabel20.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.oktellLabel20.ForeColor = System.Drawing.Color.Gray;
			this.oktellLabel20.Location = new System.Drawing.Point(32, 427);
			this.oktellLabel20.Name = "oktellLabel20";
			this.oktellLabel20.Size = new System.Drawing.Size(74, 16);
			this.oktellLabel20.TabIndex = 46;
			this.oktellLabel20.Text = ":";
			// 
			// oktellLabel14
			// 
			this.oktellLabel14.AutoSize = true;
			this.oktellLabel14.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.oktellLabel14.ForeColor = System.Drawing.Color.Gray;
			this.oktellLabel14.Location = new System.Drawing.Point(32, 403);
			this.oktellLabel14.Name = "oktellLabel14";
			this.oktellLabel14.Size = new System.Drawing.Size(105, 16);
			this.oktellLabel14.TabIndex = 44;
			this.oktellLabel14.Text = "  :";
			// 
			// oktellLabel17
			// 
			this.oktellLabel17.AutoSize = true;
			this.oktellLabel17.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.oktellLabel17.ForeColor = System.Drawing.Color.Gray;
			this.oktellLabel17.Location = new System.Drawing.Point(32, 379);
			this.oktellLabel17.Name = "oktellLabel17";
			this.oktellLabel17.Size = new System.Drawing.Size(72, 16);
			this.oktellLabel17.TabIndex = 42;
			this.oktellLabel17.Text = " :";
			// 
			// oktellLabel19
			// 
			this.oktellLabel19.AutoSize = true;
			this.oktellLabel19.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.oktellLabel19.Location = new System.Drawing.Point(8, 344);
			this.oktellLabel19.Name = "oktellLabel19";
			this.oktellLabel19.Size = new System.Drawing.Size(122, 17);
			this.oktellLabel19.TabIndex = 39;
			this.oktellLabel19.Text = " :";
			// 
			// oktellLabel16
			// 
			this.oktellLabel16.AutoSize = true;
			this.oktellLabel16.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.oktellLabel16.ForeColor = System.Drawing.Color.Gray;
			this.oktellLabel16.Location = new System.Drawing.Point(32, 315);
			this.oktellLabel16.Name = "oktellLabel16";
			this.oktellLabel16.Size = new System.Drawing.Size(103, 16);
			this.oktellLabel16.TabIndex = 35;
			this.oktellLabel16.Text = "/:";
			// 
			// txtFio
			// 
			this.txtFio.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtFio.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.txtFio.EditValue = "";
			this.txtFio.Location = new System.Drawing.Point(144, 288);
			this.txtFio.MainColor = System.Drawing.Color.Empty;
			this.txtFio.Name = "txtFio";
			// 
			// txtFio.Properties
			// 
			this.txtFio.Properties.Appearance.BackColor = System.Drawing.Color.White;
			this.txtFio.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtFio.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.txtFio.Properties.Appearance.Options.UseBackColor = true;
			this.txtFio.Properties.Appearance.Options.UseBorderColor = true;
			this.txtFio.Properties.Appearance.Options.UseFont = true;
			this.txtFio.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			this.txtFio.Properties.AppearanceDisabled.Options.UseBackColor = true;
			this.txtFio.Properties.AutoHeight = false;
			this.txtFio.Size = new System.Drawing.Size(464, 20);
			this.txtFio.TabIndex = 10;
			this.txtFio.UseColorGroup = true;
			this.txtFio.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			// 
			// lblFio
			// 
			this.lblFio.AutoSize = true;
			this.lblFio.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.lblFio.ForeColor = System.Drawing.Color.Gray;
			this.lblFio.Location = new System.Drawing.Point(32, 291);
			this.lblFio.Name = "lblFio";
			this.lblFio.Size = new System.Drawing.Size(71, 16);
			this.lblFio.TabIndex = 33;
			this.lblFio.Text = " :";
			// 
			// oktellLabel13
			// 
			this.oktellLabel13.AutoSize = true;
			this.oktellLabel13.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.oktellLabel13.Location = new System.Drawing.Point(8, 256);
			this.oktellLabel13.Name = "oktellLabel13";
			this.oktellLabel13.Size = new System.Drawing.Size(106, 17);
			this.oktellLabel13.TabIndex = 32;
			this.oktellLabel13.Text = " :";
			// 
			// lnkWWW
			// 
			this.lnkWWW.AutoSize = true;
			this.lnkWWW.Cursor = System.Windows.Forms.Cursors.Hand;
			this.lnkWWW.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Pixel);
			this.lnkWWW.ForeColor = System.Drawing.Color.DodgerBlue;
			this.lnkWWW.Location = new System.Drawing.Point(400, 227);
			this.lnkWWW.Name = "lnkWWW";
			this.lnkWWW.Size = new System.Drawing.Size(66, 16);
			this.lnkWWW.TabIndex = 31;
			this.lnkWWW.Text = "";
			this.lnkWWW.Click += new System.EventHandler(this.lnkWWW_Click);
			// 
			// lnkEmail
			// 
			this.lnkEmail.AutoSize = true;
			this.lnkEmail.Cursor = System.Windows.Forms.Cursors.Hand;
			this.lnkEmail.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Pixel);
			this.lnkEmail.ForeColor = System.Drawing.Color.DodgerBlue;
			this.lnkEmail.Location = new System.Drawing.Point(400, 203);
			this.lnkEmail.Name = "lnkEmail";
			this.lnkEmail.Size = new System.Drawing.Size(52, 16);
			this.lnkEmail.TabIndex = 30;
			this.lnkEmail.Text = "";
			//this.lnkEmail.Click += new System.EventHandler(this.lnkEmail_Click);
			// 
			// lnkFax
			// 
			this.lnkFax.AutoSize = true;
			this.lnkFax.Cursor = System.Windows.Forms.Cursors.Hand;
			this.lnkFax.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Pixel);
			this.lnkFax.ForeColor = System.Drawing.Color.DodgerBlue;
			this.lnkFax.Location = new System.Drawing.Point(400, 179);
			this.lnkFax.Name = "lnkFax";
			this.lnkFax.Size = new System.Drawing.Size(58, 16);
			this.lnkFax.TabIndex = 29;
			this.lnkFax.Text = "";
			//this.lnkFax.Click += new System.EventHandler(this.lnkFax_Click);
			// 
			// lnkPhone
			// 
			this.lnkPhone.AutoSize = true;
			this.lnkPhone.Cursor = System.Windows.Forms.Cursors.Hand;
			this.lnkPhone.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Pixel);
			this.lnkPhone.ForeColor = System.Drawing.Color.DodgerBlue;
			this.lnkPhone.Location = new System.Drawing.Point(400, 155);
			this.lnkPhone.Name = "lnkPhone";
			this.lnkPhone.Size = new System.Drawing.Size(58, 16);
			this.lnkPhone.TabIndex = 28;
			this.lnkPhone.Text = "";
			this.lnkPhone.Click += new System.EventHandler(this.lnkPhone_Click);
			// 
			// txtWWW
			// 
			this.txtWWW.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.txtWWW.EditValue = "";
			this.txtWWW.Location = new System.Drawing.Point(144, 224);
			this.txtWWW.MainColor = System.Drawing.Color.Empty;
			this.txtWWW.Name = "txtWWW";
			// 
			// txtWWW.Properties
			// 
			this.txtWWW.Properties.Appearance.BackColor = System.Drawing.Color.White;
			this.txtWWW.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtWWW.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.txtWWW.Properties.Appearance.Options.UseBackColor = true;
			this.txtWWW.Properties.Appearance.Options.UseBorderColor = true;
			this.txtWWW.Properties.Appearance.Options.UseFont = true;
			this.txtWWW.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			this.txtWWW.Properties.AppearanceDisabled.Options.UseBackColor = true;
			this.txtWWW.Properties.AutoHeight = false;
			this.txtWWW.Size = new System.Drawing.Size(248, 20);
			this.txtWWW.TabIndex = 9;
			this.txtWWW.UseColorGroup = true;
			this.txtWWW.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			this.txtWWW.EditValueChanged += new System.EventHandler(this.txtWWW_EditValueChanged);
			// 
			// lblWWW
			// 
			this.lblWWW.AutoSize = true;
			this.lblWWW.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.lblWWW.ForeColor = System.Drawing.Color.Gray;
			this.lblWWW.Location = new System.Drawing.Point(32, 227);
			this.lblWWW.Name = "lblWWW";
			this.lblWWW.Size = new System.Drawing.Size(33, 16);
			this.lblWWW.TabIndex = 26;
			this.lblWWW.Text = ":";
			// 
			// txtEmail
			// 
			txtEmail.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			txtEmail.EditValue = "";
			txtEmail.Location = new System.Drawing.Point(144, 200);
			txtEmail.MainColor = System.Drawing.Color.Empty;
			txtEmail.Name = "txtEmail";
			// 
			// txtEmail.Properties
			// 
			txtEmail.Properties.Appearance.BackColor = System.Drawing.Color.White;
			txtEmail.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			txtEmail.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			txtEmail.Properties.Appearance.Options.UseBackColor = true;
			txtEmail.Properties.Appearance.Options.UseBorderColor = true;
			txtEmail.Properties.Appearance.Options.UseFont = true;
			txtEmail.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			txtEmail.Properties.AppearanceDisabled.Options.UseBackColor = true;
			txtEmail.Properties.AutoHeight = false;
			txtEmail.Size = new System.Drawing.Size(248, 20);
			txtEmail.TabIndex = 8;
			txtEmail.UseColorGroup = true;
			txtEmail.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			txtEmail.EditValueChanged += new System.EventHandler(txtEmail_EditValueChanged);
			// 
			// lblEmail
			// 
			this.lblEmail.AutoSize = true;
			this.lblEmail.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.lblEmail.ForeColor = System.Drawing.Color.Gray;
			this.lblEmail.Location = new System.Drawing.Point(32, 203);
			this.lblEmail.Name = "lblEmail";
			this.lblEmail.Size = new System.Drawing.Size(110, 16);
			this.lblEmail.TabIndex = 24;
			this.lblEmail.Text = " :";
			// 
			// txtFax
			// 
			txtFax.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			txtFax.EditValue = "";
			txtFax.Location = new System.Drawing.Point(144, 176);
			txtFax.MainColor = System.Drawing.Color.Empty;
			txtFax.Name = "txtFax";
			// 
			// txtFax.Properties
			// 
			txtFax.Properties.Appearance.BackColor = System.Drawing.Color.White;
			txtFax.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			txtFax.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			txtFax.Properties.Appearance.Options.UseBackColor = true;
			txtFax.Properties.Appearance.Options.UseBorderColor = true;
			txtFax.Properties.Appearance.Options.UseFont = true;
			txtFax.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			txtFax.Properties.AppearanceDisabled.Options.UseBackColor = true;
			txtFax.Properties.AutoHeight = false;
			txtFax.Size = new System.Drawing.Size(248, 20);
			txtFax.TabIndex = 7;
			txtFax.UseColorGroup = true;
			txtFax.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			txtFax.EditValueChanged += new System.EventHandler(txtFax_EditValueChanged);
			// 
			// lblFax
			// 
			this.lblFax.AutoSize = true;
			this.lblFax.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.lblFax.ForeColor = System.Drawing.Color.Gray;
			this.lblFax.Location = new System.Drawing.Point(32, 179);
			this.lblFax.Name = "lblFax";
			this.lblFax.Size = new System.Drawing.Size(35, 16);
			this.lblFax.TabIndex = 22;
			this.lblFax.Text = ":";
			// 
			// txtPhone
			// 
			this.txtPhone.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.txtPhone.EditValue = "";
			this.txtPhone.Location = new System.Drawing.Point(144, 152);
			this.txtPhone.MainColor = System.Drawing.Color.Empty;
			this.txtPhone.Name = "txtPhone";
			// 
			// txtPhone.Properties
			// 
			this.txtPhone.Properties.Appearance.BackColor = System.Drawing.Color.White;
			this.txtPhone.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtPhone.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.txtPhone.Properties.Appearance.Options.UseBackColor = true;
			this.txtPhone.Properties.Appearance.Options.UseBorderColor = true;
			this.txtPhone.Properties.Appearance.Options.UseFont = true;
			this.txtPhone.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			this.txtPhone.Properties.AppearanceDisabled.Options.UseBackColor = true;
			this.txtPhone.Properties.AutoHeight = false;
			this.txtPhone.Size = new System.Drawing.Size(248, 20);
			this.txtPhone.TabIndex = 6;
			this.txtPhone.UseColorGroup = true;
			this.txtPhone.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			this.txtPhone.EditValueChanged += new System.EventHandler(this.txtPhone_EditValueChanged);
			// 
			// lblPhone
			// 
			this.lblPhone.AutoSize = true;
			this.lblPhone.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.lblPhone.ForeColor = System.Drawing.Color.Gray;
			this.lblPhone.Location = new System.Drawing.Point(32, 155);
			this.lblPhone.Name = "lblPhone";
			this.lblPhone.Size = new System.Drawing.Size(55, 16);
			this.lblPhone.TabIndex = 20;
			this.lblPhone.Text = ":";
			// 
			// oktellLabel3
			// 
			this.oktellLabel3.AutoSize = true;
			this.oktellLabel3.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.oktellLabel3.ForeColor = System.Drawing.Color.Gray;
			this.oktellLabel3.Location = new System.Drawing.Point(32, 99);
			this.oktellLabel3.Name = "oktellLabel3";
			this.oktellLabel3.Size = new System.Drawing.Size(85, 16);
			this.oktellLabel3.TabIndex = 16;
			this.oktellLabel3.Text = ":";
			// 
			// oktellLabel2
			// 
			this.oktellLabel2.AutoSize = true;
			this.oktellLabel2.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.oktellLabel2.ForeColor = System.Drawing.Color.Gray;
			this.oktellLabel2.Location = new System.Drawing.Point(32, 67);
			this.oktellLabel2.Name = "oktellLabel2";
			this.oktellLabel2.Size = new System.Drawing.Size(104, 16);
			this.oktellLabel2.TabIndex = 14;
			this.oktellLabel2.Text = " :";
			// 
			// txtName
			// 
			this.txtName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtName.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.txtName.EditValue = "";
			this.txtName.Location = new System.Drawing.Point(144, 40);
			this.txtName.MainColor = System.Drawing.Color.Empty;
			this.txtName.Name = "txtName";
			// 
			// txtName.Properties
			// 
			this.txtName.Properties.Appearance.BackColor = System.Drawing.Color.White;
			this.txtName.Properties.Appearance.BorderColor = System.Drawing.Color.FromArgb(((System.Byte)(152)), ((System.Byte)(192)), ((System.Byte)(109)));
			this.txtName.Properties.Appearance.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.txtName.Properties.Appearance.Options.UseBackColor = true;
			this.txtName.Properties.Appearance.Options.UseBorderColor = true;
			this.txtName.Properties.Appearance.Options.UseFont = true;
			this.txtName.Properties.AppearanceDisabled.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(235)), ((System.Byte)(240)), ((System.Byte)(220)));
			this.txtName.Properties.AppearanceDisabled.Options.UseBackColor = true;
			this.txtName.Properties.AutoHeight = false;
			this.txtName.Size = new System.Drawing.Size(464, 20);
			this.txtName.TabIndex = 0;
			this.txtName.UseColorGroup = true;
			this.txtName.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			// 
			// lblName
			// 
			this.lblName.AutoSize = true;
			this.lblName.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.lblName.ForeColor = System.Drawing.Color.Gray;
			this.lblName.Location = new System.Drawing.Point(32, 43);
			this.lblName.Name = "lblName";
			this.lblName.Size = new System.Drawing.Size(86, 16);
			this.lblName.TabIndex = 12;
			this.lblName.Text = ":";
			// 
			// oktellLabel1
			// 
			this.oktellLabel1.AutoSize = true;
			this.oktellLabel1.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.oktellLabel1.Location = new System.Drawing.Point(8, 8);
			this.oktellLabel1.Name = "oktellLabel1";
			this.oktellLabel1.Size = new System.Drawing.Size(154, 17);
			this.oktellLabel1.TabIndex = 11;
			this.oktellLabel1.Text = "  :";
			// 
			// buttonBar
			// 
			this.buttonBar.BackColor = System.Drawing.Color.White;
			this.buttonBar.ButtonHeight = 24;
			this.buttonBar.ColorGroup = oktellClient.Controls.EColorGroup.cgOffice;
			this.buttonBar.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.buttonBar.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.buttonBar.Location = new System.Drawing.Point(0, 605);
			this.buttonBar.MaxWidth = 110;
			this.buttonBar.Name = "buttonBar";
			this.buttonBar.ShortCutFont = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
			this.buttonBar.Size = new System.Drawing.Size(632, 59);
			this.buttonBar.TabIndex = 6;
			this.buttonBar.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			// 
			// Control02
			// 
			this.Controls.Add(this.pnlParent);
			this.Controls.Add(this.buttonBar);
			this.Name = "Control02";
			this.Size = new System.Drawing.Size(632, 664);
			this.Load += new System.EventHandler(this.Control02_Load);
			this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtRegion_KeyDown);
			this.pnlParent.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.txtOtdel.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txtDolgnost.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxRecallTime.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxRecallDate.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxType_work.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxManager.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txtAdress.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txtRegion.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txtCity.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txtIndex.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxInteres.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cbxType.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txtFio.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txtWWW.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(txtEmail.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(txtFax.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txtPhone.Properties)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txtName.Properties)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion
		#endregion

		public static string Fax
		{
			get{ return txtFax.Text; }
		}
		public static string Email
		{
			get{ return txtEmail.Text; }
		}


		private Base.DBField m_EditValue;
		public Base.DBField EditValue
		{
			set
			{
				m_EditValue = value;

				if ( value == null ) return;

				boxRecall.Checked = (value.RecallDate!=DateTime.MinValue);
				cbxRecallTime.Enabled = cbxRecallDate.Enabled = boxRecall.Checked;
				if (boxRecall.Checked)
				{
					cbxRecallDate.DateStart = value.RecallDate.Date;
					cbxRecallTime.TimeStart = new DateTime ( DateTime.Now.Date.Ticks + value.RecallDate.Ticks - value.RecallDate.Date.Ticks );
				}
				else
				{
					cbxRecallDate.DateStart = DateTime.Now.Date;
					cbxRecallTime.TimeStart = DateTime.Now;
				}

				txtName.Text = value.Name;
				cbxType_work.Text = value.Tip_work;
				txtRegion.Text = value.Region_name;

				txtIndex.Text = (value.Indeks==0)?"":value.Indeks.ToString();
				txtCity.Text = value.City;
				txtAdress.Text = value.Adress;

				txtPhone.Text = value.Phone;
				txtPhone_EditValueChanged (null, new System.EventArgs());
				txtFax.Text = value.Fax;
				txtFax_EditValueChanged (null, new System.EventArgs());
				txtEmail.Text = value.Email;
				txtEmail_EditValueChanged (null, new System.EventArgs());
				txtWWW.Text = value.Www;
				txtWWW_EditValueChanged (null, new System.EventArgs());

				txtFio.Text = value.Fio;
				txtDolgnost.Text = value.Dolgnost;
				txtOtdel.Text = value.Otdel;

				cbxType.SelectedIndex = Math.Max ( 0, Math.Min ( 3, value.Type ) );

				cbxInteres.SelectedIndex = Math.Max ( 0, Math.Min ( 2, value.Interes+1 ) );

				if (ManagersById.Contains(value.Manager))
				{
					Base.Manager mngr = (Base.Manager) ManagersById[value.Manager];
					cbxManager.SelectedItem = mngr;
				}
				else
				{
					Base.Manager mngr = (Base.Manager) ManagersById[Guid.Empty];
					cbxManager.SelectedItem = mngr;
				}


				//cbxManager.seleted
				//txtManager.Text = value.Manager;
				//txtComment.Text = value.Comment;
				txtComment.Editor.Text = value.Comment;
			}
			get
			{
				return m_EditValue;
			}
		}

		private void buttonBar_OnButtonPressed(object Tag)
		{
			switch ((int) Tag )
			{
				case 1:
					//
					EditValue.Name = txtName.Text;
					EditValue.Tip_work = cbxType_work.Text;
					EditValue.Region_name = txtRegion.Text;
					try
					{
						EditValue.Indeks = int.Parse (txtIndex.Text);
					}
					catch
					{
						EditValue.Indeks = 0;
					}
					EditValue.City = txtCity.Text;
					EditValue.Adress = txtAdress.Text;

					EditValue.Phone = txtPhone.Text;
					EditValue.Fax = txtFax.Text;
					EditValue.Email = txtEmail.Text;
					EditValue.Www = txtWWW.Text;

					EditValue.Fio = txtFio.Text;
					EditValue.Dolgnost = txtDolgnost.Text;
					EditValue.Otdel = txtOtdel.Text;

					EditValue.Type = ((Base.TypeComboItems) cbxType.SelectedItem).Code;
					EditValue.Interes = ((Base.TypeComboItems) cbxInteres.SelectedItem).Code;
					EditValue.Manager = ((Base.Manager) cbxManager.SelectedItem).ID;
					EditValue.Comment = txtComment.Editor.Text;

					if ( (cbxRecallDate.DateStart!=DateTime.MinValue) && (boxRecall.Checked) )
						EditValue.RecallDate = new DateTime ( cbxRecallDate.DateStart.Date.Ticks + cbxRecallTime.TimeStart.Ticks - cbxRecallTime.TimeStart.Date.Ticks );
					else
						EditValue.RecallDate = DateTime.MinValue;

					if (OnFinish!=null)
						OnFinish(false);
					break;
				case 2:
					//
					if (OnFinish!=null)
						OnFinish(true);
					break;
			}
		}


		#region LabelsClick
		private void lnkPhone_Click(object sender, System.EventArgs e)
		{
			// ,       

			OnQuery (
				"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
				"<oktellxmlmapper version=\"80710\">" +
				"<data name=\"query\" count=\"1\">" +
				"	<property_set name=\"callnumber\">" +
				"		<property_simple key=\"number\" value=\"" + txtPhone.Text.Trim() +"\" />" +
				"		<property_simple key=\"direction\" name=\"city\" />" +
				"	</property_set>" +
				"</data>" +
				"</oktellxmlmapper>"
				);

			OnQuery (
				"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
				"<oktellxmlmapper version=\"80710\">" +
				"<data name=\"query\" count=\"1\">" +
				"	<property_set name=\"notify\">" +
				"	<property_cdata key=\"type\" ><![CDATA[info]]></property_cdata>" +
				"	<property_cdata key=\"text\"><![CDATA[ ...]]></property_cdata>" +
				"	</property_set>" +
				"</data>" +
				"</oktellxmlmapper>"
				);
		}

		private void lnkWWW_Click(object sender, System.EventArgs e)
		{
			try
			{
				System.Diagnostics.Process pr = new System.Diagnostics.Process ();
				pr.StartInfo = new System.Diagnostics.ProcessStartInfo ( txtWWW.Text );
				pr.StartInfo.Verb = "open";
				pr.Start ();
			}
			catch
			{
				oktellClient.oktellMB.ShowError ( "    !" );
			}
		}

		#endregion

		#region Text Changing

		private void txtPhone_EditValueChanged(object sender, System.EventArgs e)
		{
			if ( ( txtPhone.Text == "" ) || (EditValue.IsNew) )
				lnkPhone.Visible = false;
			else
				lnkPhone.Visible = true;
		}

		private void txtFax_EditValueChanged(object sender, System.EventArgs e)
		{
			if (EditValue == null ) return;

			if ( ( txtFax.Text == "" ) || (EditValue.IsNew) )
				lnkFax.Visible = false;
			else
				lnkFax.Visible = true;
		}

		private void txtEmail_EditValueChanged(object sender, System.EventArgs e)
		{
			if (EditValue == null ) return;

			if ( ( txtEmail.Text == "" ) || (EditValue.IsNew) )
				lnkEmail.Visible = false;
			else
				lnkEmail.Visible = true;
		}

		private void txtWWW_EditValueChanged(object sender, System.EventArgs e)
		{
			if ( ( txtWWW.Text == "" ) || (EditValue.IsNew) )
				lnkWWW.Visible = false;
			else
				lnkWWW.Visible = true;
		}

		#endregion

		private void txtRegion_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
		{
			switch (e.KeyCode)
			{
				case Keys.Enter:
				case Keys.F12:
					buttonBar_OnButtonPressed(1);
					break;
				case Keys.Escape:
					buttonBar_OnButtonPressed(2);
					break;
			}
		}

		private void Base_OnManagersChanged()
		{
			cbxManager.Properties.Items.Clear();
			ManagersById.Clear();
			Base.Manager mngr;

			mngr = new OktellPlugin.Base.Manager(" ", Guid.Empty );
			ManagersById[mngr.ID] = mngr;
			cbxManager.Properties.Items.Add ( mngr );

			for ( int i = 0; i<Base.Managers.Count; i++ )
			{
				mngr = (Base.Manager) Base.Managers[i];
				ManagersById[mngr.ID] = mngr;
				cbxManager.Properties.Items.Add ( mngr );
			}
			cbxManager.Refresh();

			cbxType_work.Properties.Items.Clear();
			for ( int i = 0; i<Base.WorkTypes.Count; i++ )
				cbxType_work.Properties.Items.Add(Base.WorkTypes[i]);
		}

		private void cbxInteres_Paint(object sender, System.Windows.Forms.PaintEventArgs e)
		{
			oktellComboBox2 cbx = sender as oktellComboBox2;
			if (cbx==null) return;

			int w = 8;
			//int l = e.Bounds.Left + (e.Bounds.Width-w)/2;
			int l = 5;

			int t = (cbx.Height-w)/2-1;

			e.Graphics.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality;
			System.Drawing.Drawing2D.GraphicsPath path = new System.Drawing.Drawing2D.GraphicsPath ();
			float r = 1.5F;
			path.Reset ();
			path.AddArc ( l , t , 2*r, 2*r, 180, 90 );
			path.AddArc ( l - 2*r + w, t , 2*r, 2*r, 270, 90 );
			path.AddArc ( l - 2*r + w, t - 2*r + w, 2*r, 2*r, 0, 90 );
			path.AddArc ( l , t  - 2*r + w, 2*r, 2*r, 90, 90 );
			path.CloseFigure ();

			SolidBrush br;

			Base.TypeComboItems item = (Base.TypeComboItems) cbx.SelectedItem;

			switch ( item.Code )
			{
				case 2:
					br = new SolidBrush ( Color.FromArgb( 100, 100, 100 ) );
					break;
				case 1:
					br = new SolidBrush ( Color.FromArgb( 150, 190, 105 ) );
					break;
				case -1:
					br = new SolidBrush ( Color.FromArgb( 230, 130, 120 ) );
					break;
				default:
					br = new SolidBrush ( Color.FromArgb( 210, 210, 210 ) );
					break;

			}

			e.Graphics.FillPath ( br, path );

			path.Dispose ();
			br.Dispose ();
		}

		private void Control02_Load(object sender, System.EventArgs e)
		{
		
		}

		private void boxRecall_CheckedChanged(object sender, System.EventArgs e)
		{
			cbxRecallTime.Enabled = cbxRecallDate.Enabled = boxRecall.Checked;
		}

	}
}
