using System;
using System.Text.RegularExpressions;
using System.Collections;

namespace OktellPlugin
{
	/// <summary>
	/// Summary description for Base.
	/// </summary>
	public class Base
	{
		#region , 

		ControlParent cp = new ControlParent ();

		private const string m_ModuleName = "-";

		public static string iduser = "00000000-0000-0000-0000-000000000000";
		public static string idshow = "00000000-0000-0000-0000-000000000000";
		public static string idform = "00000000-0000-0000-0000-000000000000";
		public static string idplugin = "00000000-0000-0000-0000-000000000000";
		public static int ChangeMode = -1;

		public delegate void ManagersChangedHandler();
		public static event ManagersChangedHandler OnManagersChanged;

		public static ArrayList Managers = new ArrayList ();
		public static ArrayList WorkTypes = new ArrayList ();

		public static string TmpDir = System.Windows.Forms.Application.StartupPath + @"\ClientsPlugin\";

		public class Manager
		{
			public string Name = "";
			public Guid ID;

			public override string ToString()
			{
				return Name;
			}


			public Manager()
			{
			}

			public Manager (string Name, Guid ID)
			{
				this.Name = Name;
				this.ID = ID;
			}
		}
		public class TypeComboItems
		{
			public string ShortName = "";
			public string Caption = "";
			public int Code = 0;

			public override string ToString()
			{
				return Caption;
			}


			public TypeComboItems (string Caption, int Code)
			{
				this.Caption = Caption;
				this.Code = Code;
			}

			public TypeComboItems (string Caption, string ShortName, int Code)
			{
				this.Caption = Caption;
				this.ShortName = ShortName;
				this.Code = Code;
			}
		}

		public class UserContact
		{
			/// <summary>
			///  , , , ...
			/// </summary>
			public int Type = 0;

			// 
			public Guid IDConn = Guid.Empty;

			/// <summary>
			/// ID 
			/// </summary>
			///public int ClientID = 0;

			/// <summary>
			/// ID  ()
			/// </summary>
			public Guid UserID = Guid.Empty;

			private string m_Attach = "";
			/// <summary>
			/// -
			/// </summary>
			public string Attach
			{
				set { m_Attach = value; }
				get { return m_Attach; }
			}
			public string AttachStr
			{
				get
				{
					switch (Type)
					{
						case 1:
						case 2:
							try
							{
								if ( Length >= 0 )
									return (1+(Length+1+0.1)/100000000).ToString().Substring(2,8);
								else
									return "00000000";
							}
							catch
							{
								return "00000000";
							}
							break;
						default:
							return Attach;
							break;
					}
				}
			}


			private string m_Manager = "";
			/// <summary>
			///  
			/// </summary>
			public string Manager
			{
				set { m_Manager = value; }
				get { return m_Manager; }
			}


			private DateTime m_Date = DateTime.Now;
			/// <summary>
			///  
			/// </summary>
			public DateTime Date
			{
				set { m_Date = value; }
				get { return m_Date; }
			}
			/// <summary>
			///  
			/// </summary>
			public string Text = "";
			/// <summary>
			///  
			/// </summary>
			public int Length = 0;

			public UserContact()
			{
			}
		}

		public class DBField
		{
			public bool IsNew = false;
			public int Id = 0;
			private string m_Name = "";
			public string Name
			{
				set{ m_Name = value; }
				get{ return m_Name; }
			}
			public string m_Tip_work = "";
			public string Tip_work
			{
				set{ m_Tip_work = value; }
				get{ return m_Tip_work; }
			}
			public string m_Region_name = "";
			public string Region_name
			{
				set{ m_Region_name = value; }
				get{ return m_Region_name; }
			}
			public int m_Indeks = 0;
			public int Indeks
			{
				set{ m_Indeks = value; }
				get{ return m_Indeks; }
			}
			private string m_City = "";
			public string City
			{
				set{ m_City = value; }
				get{ return m_City; }
			}

			private string m_Adress = "";
			public string Adress
			{
				set{ m_Adress = value; }
				get{ return m_Adress; }
			}
			private string m_Phone = "";
			public string Phone
			{
				set{ m_Phone = value; }
				get{ return m_Phone; }
			}
			private string m_Fax = "";
			public string Fax
			{
				set{ m_Fax = value; }
				get{ return m_Fax; }
			}
			private string m_Email = "";
			public string Email
			{
				set{ m_Email = value; }
				get{ return m_Email; }
			}
			private string m_www = "";
			public string Www
			{
				set{ m_www = value; }
				get{ return m_www; }
			}

			private string m_Fio = "";
			public string Fio
			{
				set{ m_Fio = value; }
				get{ return m_Fio; }
			}

			private string m_Dolgnost = "";
			public string Dolgnost
			{
				set { m_Dolgnost = value; }
				get { return m_Dolgnost; }
			}
			private string m_Otdel = "";
			public string Otdel
			{
				set { m_Otdel = value; }
				get { return m_Otdel; }
			}
			private int m_Type = 1;
			public int Type
			{
				set { m_Type = value; }
				get { return m_Type; }
			}
			public string TypeStr
			{
				get
				{
					switch (Type)
					{
						case 1:
							return " ";
						case 2:
							return "";
						case 3:
							return " ";
						default:
							return "";
					}
				}
			}
			private int m_Interes = 0;
			public int Interes
			{
				set{ m_Interes = value; }
				get{ return m_Interes; }
			}

			private DateTime m_RecallDate = DateTime.MinValue;
			public DateTime RecallDate
			{
				set{ m_RecallDate = value; }
				get{ return m_RecallDate; }
			}

			public string RecallDateStr
			{
				get
				{
					if (RecallDate==DateTime.MinValue)
						return "";
					else
						return RecallDate.ToString("dd.MM.yy HH:mm");
				}
			}

			private Guid m_Manager = Guid.Empty;
			public Guid Manager
			{
				set { m_Manager = value; }
				get { return m_Manager; }
			}
			public string ManagerStr
			{
				get
				{
					for (int i=0; i<Managers.Count; i++)
					{
						Manager mngr = (Manager) Managers[i];
						if ( mngr.ID == this.Manager )
							return mngr.Name;
					}

					return " ";
				}
			}

			private string m_Comment = "";
			public string Comment
			{
				set { m_Comment = value; }
				get { return m_Comment; }
			}
			public DBField()
			{
			}

			public DBField(bool IsNew)
			{
				this.IsNew = IsNew;
			}
		}

		public static DBField EditValue = new DBField();

		#endregion

		#region 

		#region   
		public Base()
		{
		}

		public delegate string PluginQueryInvoker ( string xml );
		public Guid GetId ( )
		{
			return new Guid ( "2b4b8b45-92cd-4627-bdbb-98796be32d88" );
		}

		public int GetInterfaceVersion ( int lastknownversion )
		{
			return 81022;
		}

		public string GetModuleVersion ( )
		{
			return "2.0.0.0";
		}

		public string GetModuleName ( )
		{
			return m_ModuleName;
		}

		public string GetDBUpdate ( )
		{
			/*
			System.Windows.Forms.OpenFileDialog dlg = new System.Windows.Forms.OpenFileDialog ();
			dlg.Filter = " *.sr1|*.sr1";
			if ( dlg.ShowDialog() == System.Windows.Forms.DialogResult.OK )
			{
			}
			*/

			//System.Windows.Forms.MessageBox.Show (SQLtxt());

			return
			"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
			"<oktellxmlmapper version=\"80710\">" +
			"<data name=\"dbupdate\" count=\"1\">" +
			"	<property_set>" +
			"	<property_cdata key=\"sqltext\"><![CDATA[" + SQLtxt() + "]]></property_cdata>" +
			"	</property_set>" +
			"</data>" +
			"</oktellxmlmapper>";
		}

		public string GetForms ( )
		{
			return
			"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
			"<oktellxmlmapper version=\"80710\">" +
			"<data name=\"availableforms\" count=\"5\">" +
			"	<property_set>" +
			"		<property_simple key=\"id\" value=\"0b428c11-2b2e-420c-b7f3-cb98be135afa\" />" +
			"		<property_cdata key=\"name\"><![CDATA[  ]]></property_cdata>" +
			"		<property_cdata key=\"description\"><![CDATA[   ]]></property_cdata>" +
			"		<property_simple key=\"controltype\" value=\"1\" name=\"control\" />" +
			"		<property_simple key=\"module\" value=\"1\" name=\"crm\" />" +
			"	</property_set>" +
			"	<property_set>" +
			"		<property_simple key=\"id\" value=\"01428c11-2b2e-420c-b7f3-cb98be135afa\" />" +
			"		<property_cdata key=\"name\"><![CDATA[  ]]></property_cdata>" +
			"		<property_cdata key=\"description\"><![CDATA[   ]]></property_cdata>" +
			"		<property_simple key=\"controltype\" value=\"1\" name=\"control\" />" +
			"		<property_simple key=\"module\" value=\"0\" name=\"dialog\" />" +
			"	</property_set>" +
			"</data>" +
			"</oktellxmlmapper>";
		}

 		public System.Windows.Forms.Control CreateControl ( string xml )
		{

			//System.Windows.Forms.MessageBox.Show ( xml );
			ControlParent cp = new ControlParent ();
			this.cp = cp;
			cp.OnQuery += new PluginQueryInvoker(cp_OnQuery);

			Hashtable InputParams = new Hashtable ();

			#region  xml
			CMapperXmlItemSetCollection coll = CMapperXmlItemSetCollection.FromXml ( xml );
			if ( coll != null )
			{
				for ( int i = 0; i < coll.Count; i++ )
				{
					CMapperXmlItemSet iset = coll[i];
					switch ( iset.Name.ToLower() )
					{
						case "user":							
							for ( int j = 0; j<iset.Count; j++ )
							{
								if ( iset[j].Key.ToLower() == "id" )
								{
									iduser = iset[j].Value;
									break;
								}
							}
							break;
						case "link":
							for ( int j = 0; j<iset.Count; j++ )
							{
								switch ( iset[j].Key.ToLower() )
								{
									case "idshow":
										idshow = iset[j].Value;
										break;
									case "idform":
										idform = iset[j].Value;
										break;
									case "idplugin":
										idplugin = iset[j].Value;
										break;
								}
							}
							break;
						case "common":
						case "ommon":
							CMapperXmlItemSetCollection pars = iset.SubSets;
							for ( int k = 0; k < pars.Count; k++ )
								if ( pars[k].Name.ToLower() == "clientinfo" )
								{
									pars = pars[k].SubSets;
									break;
								}

							for ( int k = 0; k < pars.Count; k++ )
							{
								CMapperXmlItemSet pset = pars[k];
								string hashkey = "";
								string hashvalue = "";
								for ( int m = 0; m < pset.Count; m++ )
								{
									CMapperXmlItem item = pset[m];
									switch ( item.Key.ToLower() )
									{
										case "fieldname":
											if (item.Value != null )
												hashkey = item.Value.ToLower();
											else
												hashkey = item.Name.ToLower();
											break;
										case "fieldvalue":
											if (item.Value != null )
												hashvalue = item.Value;
											else
												hashvalue = item.Name;
											break;
									}
								}
								InputParams[hashkey] = hashvalue; 
							}
							/*
						case "input":
							CMapperXmlItemSetCollection pars = iset.SubSets;
							for ( int k = 0; k < pars.Count; k++ )
							{
								CMapperXmlItemSet pset = pars[k];
								string hashkey = "";
								string hashvalue = "";
								for ( int m = 0; m < pset.Count; m++ )
								{
									CMapperXmlItem item = pset[m];
									switch ( item.Key.ToLower() )
									{
										case "paramkey":
											hashkey = item.Value;
											break;
										case "paramvalue":
											hashvalue = item.Value;
											break;
									}
								}
								InputParams[hashkey] = hashvalue; 
							}
							*/
							break;
					}
				}
			}
			#endregion

			ComboLoad();

			if ( InputParams.Contains ("id") )
			{
				string Val = (string) InputParams["id"];
				if ( Regex.IsMatch ( Val, @"[\+\-]?[0-9]+" ) )
				{
					int i = int.Parse ( Val );
					cp.GetById ( i, true );
				}
				else
					cp.Mode = 0;
			}
			else
				cp.Mode = 0;

			return cp;
		}
		public event PluginQueryInvoker OnQuery;

		public string DoQuery ( string xml )
		{
			Match match;
			// xml,  actiontype
			match = Regex.Match ( xml, "key\\s*=\\s*\"actiontype\".*name\\s*=\\s*\"([^\"]*)\"", RegexOptions.IgnoreCase );
			string actname = "";
			if ( match.Success )
				actname = match.Groups[1].Value;

			//System.Windows.Forms.MessageBox.Show ( actname );

			switch ( actname.ToLower() )
			{
				case "formshow":
					// 

					//  
					try
					{
						if ( System.IO.Directory.Exists ( Base.TmpDir ) )
							System.IO.Directory.Delete ( Base.TmpDir, true );
					}
					catch{}
					
					if (ChangeMode == -1 )
					{
						ChangeMode = 0;// 
						OnQuery ( Tabs1() );// 

						ComboLoad();
					}

					break;
				case "tabchange":
					//  
					if (ChangeMode != 0)
					{
						#region  xml,  activeindex
						match = Regex.Match ( xml, "key\\s*=\\s*\"activeindex\".*value\\s*=\\s*\"([^\"]*)\"", RegexOptions.IgnoreCase );
						string index="";
						if ( match.Success )
							index = match.Groups[1].Value;
						#endregion

						switch (index)
						{
							case "1":
								if (ChangeMode != 1)
									cp.Mode = ChangeMode = 1;
								break;
							case "2":
								if (ChangeMode != 2)
									cp.Mode = ChangeMode = 2;
								break;
							case "3":
								if (ChangeMode != 3)
									cp.Mode = ChangeMode = 3;
								break;
						}
					}
					break;
			}



			return null;
		}

		#endregion

		#region  
		public string GetInputParams ( string xml )
		{
			return null;
			return
				"<?xml version=\"1.0\" encoding=\"utf-16\"?>" +
				"<oktellxmlmapper version=\"80710\">" +
				"<data name=\"input\" count=\"6\">" +
  				"<property_set>" +
    			"	<property_simple key=\"paramkey\" value=\"number\" />" +
    			"		<property_simple key=\"paramtype\" value=\"1\" name=\"string\" />" +
    			"		<property_cdata key=\"paramname\"><![CDATA[]]></property_cdata>" +
    			"		<property_cdata key=\"paramdescription\"><![CDATA[     ]]></property_cdata>" +
  				"	</property_set>" +
				"</data>" +
				"</oktellxmlmapper>";
		}

		public string GetOutputParams ( string xml )
		{
			return null;
		}

		public string ShowDesign ( string xml )
		{
			return null;
		}

		public string PrepareShow ( string xml )
		{
			return null;
		}

		public string GetCurrentFillInfo ( string xml )
		{
			return null;
		}

		public string StopShow ( string xml )
		{
			return null;
		}

		public string GetControlResult ( string xml )
		{
			return null;
		}

		#endregion

		#endregion

		#region 

		public string SQLtxt()
		{
			string str =
				#region   
				"--   \r\n" +
				"Update A_UserRoles_Rights Set Knot = '1.3.0', Name = ' ', Code = 'ViewClientsPlugin' Where Id = '2A078108-60A0-46B8-8D6D-DB128783DD2B'\r\n" +
				"if ( @@rowcount = 0 )\r\n" +
				"	insert into A_UserRoles_Rights (Id, Knot, Name, Code) values('2A078108-60A0-46B8-8D6D-DB128783DD2B', '1.3.0', ' ', 'ViewClientsPlugin')\r\n" +
				"\r\n" +
				"Update A_UserRoles_Rights Set Knot = '1.3.0.1', Name = '  ', Code = 'ThisClientsPluginManager' Where Id = '1444DAA3-4125-2314-9B33-130BE9068E32'\r\n" +
				"if ( @@rowcount = 0 )\r\n" +
				"	insert into A_UserRoles_Rights (Id, Knot, Name, Code) values('1444DAA3-4125-2314-9B33-130BE9068E32', '1.3.0.1', '  ', 'ThisClientsPluginManager')\r\n" +
				"\r\n" +
				"Update A_UserRoles_Roles Set Id = '43581D22-9685-3824-8A9B-987BE906987A', Name = ' ', BaseRole = NULL, Domination = 0 Where Id = '43581D22-9685-3824-8A9B-987BE906987A'\r\n" +
				"if ( @@rowcount = 0 )\r\n" +
				"	Insert into A_UserRoles_Roles ( Id, Name, BaseRole, Domination ) Values ( '43581D22-9685-3824-8A9B-987BE906987A', ' ', NULL, 0 )\r\n" +
				"\r\n" +
				"\r\n" +
				"Delete from A_UserRoles_RightsOfRoles where IdRole = '43581D22-9685-3824-8A9B-987BE906987A' AND ( IdRight='8891C26E-AB7A-421A-B6BB-F0ECBEB9C95D' or IdRight='FD5F030E-B610-41FB-96AB-DC20FC2C73CD' or IdRight = '2A078108-60A0-46B8-8D6D-DB128783DD2B' OR IdRight = '1444DAA3-4125-2314-9B33-130BE9068E32' )\r\n" +
				"insert into A_UserRoles_RightsOfRoles (IdRole,IdRight,Value) Values ('43581D22-9685-3824-8A9B-987BE906987A', '8891C26E-AB7A-421A-B6BB-F0ECBEB9C95D', 1)\r\n" +
				"insert into A_UserRoles_RightsOfRoles (IdRole,IdRight,Value) Values ('43581D22-9685-3824-8A9B-987BE906987A', 'FD5F030E-B610-41FB-96AB-DC20FC2C73CD', 1)\r\n" +
				"insert into A_UserRoles_RightsOfRoles (IdRole,IdRight,Value) Values ('43581D22-9685-3824-8A9B-987BE906987A', '2A078108-60A0-46B8-8D6D-DB128783DD2B', 1)\r\n" +
				"insert into A_UserRoles_RightsOfRoles (IdRole,IdRight,Value) Values ('43581D22-9685-3824-8A9B-987BE906987A', '1444DAA3-4125-2314-9B33-130BE9068E32', 1)\r\n" +
				"\r\n" +
				"-- \r\n" +
				"if not exists (select * from dbo.sysobjects where id = object_id(N'dbo.[C_ClientsPlugin]'))\r\n" +
				"create table dbo.C_ClientsPlugin \r\n" +
				"(\r\n" +
				"	id int identity ( 1, 1 ) PRIMARY KEY,\r\n" +
				"	type int,\r\n" +
				"	status int,\r\n" +
				"	salecode int,\r\n" +
				"	interes int,\r\n" +
				"	tip_work nvarchar(200),\r\n" +
				"	name nvarchar(1000),\r\n" +
				"	phone nvarchar(200),\r\n" +
				"	fio nvarchar(200),\r\n" +
				"	otdel nvarchar(200),\r\n" +
				"	dolgnost nvarchar(200),\r\n" +
				"	email nvarchar(200),\r\n" +
				"	www nvarchar(200),\r\n" +
				"	fax nvarchar(200),\r\n" +
				"	adress nvarchar(200),\r\n" +
				"	indeks int,\r\n" +
				"	city nvarchar(200),\r\n" +
				"	region_name nvarchar(200),\r\n" +
				"	region_cod nvarchar(200),\r\n" +
				"	first_call Datetime,\r\n" +
				"	last_call Datetime,\r\n" +
				"	first_fax Datetime,\r\n" +
				"	last_fax Datetime,\r\n" +
				"	first_email Datetime,\r\n" +
				"	last_email Datetime,\r\n" +
				"	email_good int,\r\n" +
				"	need_call Datetime,\r\n" +
				"	comment ntext,\r\n" +
				"	first_spam Datetime,\r\n" +
				"	last_spam Datetime,\r\n" +
				"	nomber_spam int,\r\n" +
				"	text_email_fax ntext,\r\n" +
				"	no_spam int,\r\n" +
				"	manager uniqueidentifier,\r\n" +
				"	recalldate datetime\r\n" +
				")\r\n" +
				"GO\r\n" +
				"\r\n" +
				"if exists (select * from dbo.sysobjects where id = object_id(N'dbo.[C_ClientsPlugin]'))\r\n" +
				" 	if not Exists ( Select * From INFORMATION_SCHEMA.Columns Where TABLE_NAME like 'C_ClientsPlugin' \r\n" +
				"								and TABLE_SCHEMA like 'dbo'\r\n" +
				"								and COLUMN_NAME like 'RecallDate' )\r\n" +
				"	Alter Table dbo.C_ClientsPlugin\r\n" +
				"	Add RecallDate datetime\r\n" +
				"GO\r\n" +
				"\r\n" +
				"\r\n" +
				"--  \r\n" +
				"if not exists (select * from dbo.sysobjects where id = object_id(N'dbo.[C_ClientsPlugin_Stat]'))\r\n" +
				"create table dbo.C_ClientsPlugin_Stat \r\n" +
				"(\r\n" +
				"	ID int identity ( 1, 1 ) PRIMARY KEY,\r\n" +
				"	Type int not NULL,\r\n" +
				"	ClientID int not NULL,\r\n" +
				"	UserID uniqueidentifier not NULL,\r\n" +
				"	Email nvarchar(200),\r\n" +
				"	Number nvarchar(200),\r\n" +
				"	Date DateTime not NULL,\r\n" +
				"	Attach nvarchar(1000),\r\n" +
				"	Text nvarchar(1000),\r\n" +
				"	Subject nvarchar(500),\r\n" +
				"	Sent bit,\r\n" +
				"	DateLastTry DateTime,\r\n" +
				"	Comment nvarchar(200)\r\n" +
				")\r\n" +
				"GO\r\n";
			#endregion

			str +=
				#region   
				"-- \r\n" +
				"if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.C_ClientsPlugin_GetByID' ) )\r\n" +
				"	Drop Procedure dbo.C_ClientsPlugin_GetByID\r\n" +
				"GO\r\n" +
				"\r\n" +
				"Create Procedure dbo.C_ClientsPlugin_GetByID\r\n" +
				"	@id int\r\n" +
				"As\r\n" +
				"Begin\r\n" +
				"\r\n" +
				"	select top 100\r\n" +
				"		id,\r\n" +
				"		Name=isnull(Name,''),\r\n" +
				"		tip_work=isnull(tip_work,''),\r\n" +
				"		region_name=isnull(region_name,''),\r\n" +
				"		indeks=isnull(indeks,0),\r\n" +
				"		city=isnull(city,''),\r\n" +
				"		adress=isnull(adress,''),\r\n" +
				"		phone=isnull(phone,''),\r\n" +
				"		fax=isnull(fax,''),\r\n" +
				"		email=isnull(email,''),\r\n" +
				"		www=isnull(www,''),\r\n" +
				"		fio=isnull(fio,''),\r\n" +
				"		dolgnost=isnull(dolgnost,''),\r\n" +
				"		otdel=isnull(otdel,''),\r\n" +
				"		type=isnull(type,1),\r\n" +
				"		interes=isnull(interes,0),\r\n" +
				"		manager=isnull(manager,'00000000-0000-0000-0000-000000000000'),\r\n" +
				"		comment=isnull(comment,'')\r\n" +
				"	from dbo.C_ClientsPlugin\r\n" +
				"	where id = @id\r\n" +
				"\r\n" +
				"	union all\r\n" +
				"\r\n" +
				"	select 1000000000, cast(count(*) as nvarchar(100)), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL\r\n" +
				"	from dbo.C_ClientsPlugin\r\n" +
				"	where id = @id\r\n" +
				"End\r\n" +
				"\r\n" +
				"GO\r\n" +
				"\r\n" +
				"\r\n" +
				"-- \r\n" +
				"if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.C_ClientsPlugin_Filter' ) )\r\n" +
				"	Drop Procedure dbo.C_ClientsPlugin_Filter\r\n" +
				"GO\r\n" +
				"\r\n" +
				"Create Procedure dbo.C_ClientsPlugin_Filter\r\n" +
				"	@name nvarchar(200),\r\n" +
				"	@type nvarchar(200),\r\n" +
				"	@anyinteres bit,\r\n" +
				"	@interes int,\r\n" +
				"	@anymanager bit,\r\n" +
				"	@manager nvarchar(2000),\r\n" +
				"	@anytip_work bit,\r\n" +
				"	@tip_work nvarchar(4000),\r\n" +
				"	@region nvarchar(200),\r\n" +
				"	@indeks nvarchar(200),\r\n" +
				"	@city nvarchar(200),\r\n" +
				"	@timestart datetime,\r\n" +
				"	@timestop datetime\r\n" +
				"As\r\n" +
				"Begin\r\n" +
				"\r\n" +
				"	select top 100\r\n" +
				"		id,\r\n" +
				"		Name=isnull(Name,''),\r\n" +
				"		tip_work=isnull(tip_work,''),\r\n" +
				"		region_name=isnull(region_name,''),\r\n" +
				"		indeks=isnull(indeks,0),\r\n" +
				"		city=isnull(city,''),\r\n" +
				"		adress=isnull(adress,''),\r\n" +
				"		phone=isnull(phone,''),\r\n" +
				"		fax=isnull(fax,''),\r\n" +
				"		email=isnull(email,''),\r\n" +
				"		www=isnull(www,''),\r\n" +
				"		fio=isnull(fio,''),\r\n" +
				"		dolgnost=isnull(dolgnost,''),\r\n" +
				"		otdel=isnull(otdel,''),\r\n" +
				"		type=isnull(type,1),\r\n" +
				"		interes=isnull(interes,0),\r\n" +
				"		manager=isnull(manager,'00000000-0000-0000-0000-000000000000'),\r\n" +
				"		comment=isnull(comment,''),\r\n" +
				"		recalldate=recalldate\r\n" +
				"	from dbo.C_ClientsPlugin\r\n" +
				"	where\r\n" +
				"		((Name like '%'+@name+'%')or((@name='')and(Name is NULL)))and\r\n" +
				"		(@type like '%*'+cast(type as nvarchar(2))+'*%')and\r\n" +
				"		((@anyinteres=1)or(@interes=interes)or(interes is NULL)and(@interes=0))and\r\n" +
				"		---------((@interes like '%*'+cast(interes as nvarchar(2))+'*%')or((interes is NULL)and(@interes like '%*0*%')))and\r\n" +
				"		((@anymanager=1)or(@manager like '%*'+ cast(isnull(manager,'00000000-0000-0000-0000-000000000000') as nvarchar(200))+'*%') )and\r\n" +
				"		---------((manager like '%'+@manager+'%')or((@manager='')and(manager is NULL)))and\r\n" +
				"		((@anytip_work=1)or(@tip_work like '%*'+ cast(isnull(tip_work,'') as nvarchar(200))+'*%') )and\r\n" +
				"		---------((tip_work like '%'+@tip_work+'%')or((@tip_work='')and(tip_work is NULL)))and\r\n" +
				"		((region_name like '%'+@region+'%')or((@region='')and(region_name is NULL)))and\r\n" +
				"		(cast(indeks as nvarchar(200)) like @indeks+'%')and\r\n" +
				"		((city like '%'+@city+'%')or((@city='')and(city is NULL)))and\r\n" +
				"		((@timestart is NULL)or(@timestop is NULL)or(recalldate is not NULL)and(recalldate>=@timestart)and(recalldate<=@timestop))\r\n" +
				"	---------order by Name\r\n" +
				"\r\n" +
				"	union all\r\n" +
				"\r\n" +
				"	select 1000000000, cast(count(*) as nvarchar(100)), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL\r\n" +
				"	from dbo.C_ClientsPlugin\r\n" +
				"	where\r\n" +
				"		((Name like '%'+@name+'%')or((@name='')and(Name is NULL)))and\r\n" +
				"		(@type like '%*'+cast(type as nvarchar(2))+'*%')and\r\n" +
				"		((@anyinteres=1)or(@interes=interes)or(interes is NULL)and(@interes=0))and\r\n" +
				"		---------((@interes like '%*'+cast(interes as nvarchar(2))+'*%')or((interes is NULL)and(@interes like '%*0*%')))and\r\n" +
				"		((@anymanager=1)or(@manager like '%*'+ cast(isnull(manager,'00000000-0000-0000-0000-000000000000') as nvarchar(200))+'*%') )and\r\n" +
				"		---------((manager like '%'+@manager+'%')or((@manager='')and(manager is NULL)))and\r\n" +
				"		((@anytip_work=1)or(@tip_work like '%*'+ cast(isnull(tip_work,'') as nvarchar(200))+'*%') )and\r\n" +
				"		---------((tip_work like '%'+@tip_work+'%')or((@tip_work='')and(tip_work is NULL)))and\r\n" +
				"		((region_name like '%'+@region+'%')or((@region='')and(region_name is NULL)))and\r\n" +
				"		(cast(indeks as nvarchar(200)) like @indeks+'%')and\r\n" +
				"		((city like '%'+@city+'%')or((@city='')and(city is NULL)))\r\n" +
				"	---------order by Name\r\n" +
				"End\r\n" +
				"\r\n" +
				"GO\r\n" +
				"\r\n" +
				"\r\n" +
				"--exec dbo.C_ClientsPlugin_Filter2 '', '*0*1*2*3*4*', 1, 2, 1, '', 1, '', '', '', ''\r\n" +
				"\r\n" +
				"-- \r\n" +
				"if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.C_ClientsPlugin_RemoveById' ) )\r\n" +
				"	Drop Procedure dbo.C_ClientsPlugin_RemoveById\r\n" +
				"GO\r\n" +
				"\r\n" +
				"Create Procedure dbo.C_ClientsPlugin_RemoveById\r\n" +
				"	@id int\r\n" +
				"As\r\n" +
				"Begin\r\n" +
				"	Delete from dbo.C_ClientsPlugin\r\n" +
				"	Where Id = @id\r\n" +
				"End\r\n" +
				"GO\r\n" +
				"\r\n" +
				"-- \r\n" +
				"if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.C_ClientsPlugin_GetManagers' ) )\r\n" +
				"	Drop Procedure dbo.C_ClientsPlugin_GetManagers\r\n" +
				"GO\r\n" +
				"\r\n" +
				"Create Procedure dbo.C_ClientsPlugin_GetManagers\r\n" +
				"As\r\n" +
				"Begin\r\n" +
				"	(\r\n" +
				"	--     \r\n" +
				"	select distinct Name=u.Name, ID=u.ID from A_Users u inner join\r\n" +
				"	A_UserRoles_RolesOfUsers ru on u.Id = ru.IdUser\r\n" +
				"	inner join A_UserRoles_RightsOfRoles rr\r\n" +
				"	on ru.IdRole=rr.IdRole And rr.IdRight = '1444DAA3-4125-2314-9B33-130BE9068E32' And rr.Value>0\r\n" +
				"\r\n" +
				"	union\r\n" +
				"\r\n" +
				"	--      (          )\r\n" +
				"	select distinct Name=isnull(u.Name,'<>'), ID=ru.Manager from A_Users u right join\r\n" +
				"	C_ClientsPlugin ru on (u.Id = ru.Manager)\r\n" +
				"	where (ru.Manager<>'00000000-0000-0000-0000-000000000000')and(ru.Manager is not NULL)\r\n" +
				"\r\n" +
				"	union\r\n" +
				"\r\n" +
				"	--    : ,  ,   . (          )\r\n" +
				"	select distinct Name=isnull(u.Name,'<>'), ID=ru.UserID from A_Users u right join\r\n" +
				"	C_ClientsPlugin_Stat ru on (u.Id = ru.UserID)\r\n" +
				"	where (ru.UserID<>'00000000-0000-0000-0000-000000000000')and(ru.UserID is not NULL)\r\n" +
				"	)\r\n" +
				"\r\n" +
				"	order by Name\r\n" +
				"End\r\n" +
				"GO\r\n" +
				"\r\n" +
				"\r\n" +
				"-- \r\n" +
				"if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.C_ClientsPlugin_GetWorkTypes' ) )\r\n" +
				"	Drop Procedure dbo.C_ClientsPlugin_GetWorkTypes\r\n" +
				"GO\r\n" +
				"\r\n" +
				"Create Procedure dbo.C_ClientsPlugin_GetWorkTypes\r\n" +
				"As\r\n" +
				"Begin\r\n" +
				"	select distinct tip_work from C_ClientsPlugin where (tip_work<>'')and(tip_work is not null) order by tip_work\r\n" +
				"End\r\n" +
				"GO\r\n" +
				"\r\n" +
				"-- \r\n" +
				"if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.C_ClientsPlugin_Save' ) )\r\n" +
				"	Drop Procedure dbo.C_ClientsPlugin_Save\r\n" +
				"GO\r\n" +
				"\r\n" +
				"Create Procedure dbo.C_ClientsPlugin_Save\r\n" +
				"	@isnew bit,\r\n" +
				"	@id int,\r\n" +
				"	@name nvarchar(1000),\r\n" +
				"	@tip_work nvarchar(200),\r\n" +
				"	@region_name nvarchar(200),\r\n" +
				"	@indeks int,\r\n" +
				"	@city nvarchar(200),\r\n" +
				"	@adress nvarchar(200),\r\n" +
				"	@phone nvarchar(200),\r\n" +
				"	@fax nvarchar(200),\r\n" +
				"	@email nvarchar(200),\r\n" +
				"	@www nvarchar(200),\r\n" +
				"	@fio nvarchar(200),\r\n" +
				"	@dolgnost nvarchar(200),\r\n" +
				"	@otdel nvarchar(200),\r\n" +
				"	@type int,\r\n" +
				"	@interes int,\r\n" +
				"	@manager uniqueidentifier,\r\n" +
				"	@comment nvarchar(200),\r\n" +
				"	@recalldate datetime\r\n" +
				"As\r\n" +
				"Begin\r\n" +
				"	if (@isnew=1)\r\n" +
				"	begin\r\n" +
				"		insert into dbo.C_ClientsPlugin (name,tip_work,region_name,indeks,city,adress,phone,fax,email,www,fio,dolgnost,otdel,type,interes,manager,comment,recalldate) Values (@name,@tip_work,@region_name,@indeks,@city,@adress,@phone,@fax,@email,@www,@fio,@dolgnost,@otdel,@type,@interes,@manager,@comment,@recalldate)\r\n" +
				"		select Max=Max(id) from dbo.C_ClientsPlugin\r\n" +
				"	end\r\n" +
				"	else\r\n" +
				"		Update dbo.C_ClientsPlugin\r\n" +
				"		Set\r\n" +
				"			name = @name,\r\n" +
				"			tip_work = @tip_work,\r\n" +
				"			region_name = @region_name,\r\n" +
				"			indeks = @indeks,\r\n" +
				"			city = @city,\r\n" +
				"			adress = @adress,\r\n" +
				"			phone = @phone,\r\n" +
				"			fax = @fax,\r\n" +
				"			email = @email,\r\n" +
				"			www = @www,\r\n" +
				"			fio = @fio,\r\n" +
				"			dolgnost = @dolgnost,\r\n" +
				"			otdel = @otdel,\r\n" +
				"			type = @type,\r\n" +
				"			interes = @interes,\r\n" +
				"			manager = @manager,\r\n" +
				"			comment = @comment,\r\n" +
				"			recalldate = @recalldate\r\n" +
				"		Where\r\n" +
				"			Id = @id\r\n" +
				"End\r\n" +
				"GO\r\n" +
				"\r\n" +
				"--   \r\n" +
				"if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.C_ClientsPlugin_GetContactByID' ) )\r\n" +
				"	Drop Procedure dbo.C_ClientsPlugin_GetContactByID\r\n" +
				"GO\r\n" +
				"\r\n" +
				"Create Procedure dbo.C_ClientsPlugin_GetContactByID\r\n" +
				"	@clientid int,\r\n" +
				"	@type nvarchar(200),\r\n" +
				"	--@manager nvarchar(2000),\r\n" +
				"	@begtime DateTime,\r\n" +
				"	@endtime DateTime\r\n" +
				"As\r\n" +
				"Begin\r\n" +
				"	declare @phone nvarchar(200)\r\n" +
				"	select top 1 @phone=phone from C_ClientsPlugin where id = @clientid\r\n" +
				"	Set @phone = isnull(@phone,'n/a')\r\n" +
				"\r\n" +
				"\r\n" +
				"	select top 500 * from\r\n" +
				"(\r\n" +
				"	select top 100 percent IDConn='00000000-0000-0000-0000-000000000000', st.Type, UserID=isnull( UserID,'00000000-0000-0000-0000-000000000000'), UserName=isnull(us.Name,'<>'), Date, Attach, Text, length=0 from C_ClientsPlugin_Stat st\r\n" +
				"	left join A_Users us\r\n" +
				"	on us.ID = st.UserID\r\n" +
				"	where\r\n" +
				"		(ClientID = @clientid) AND\r\n" +
				"		(@type like '%*'+cast(st.Type as nvarchar(200))+'*%') AND\r\n" +
				"		--(@manager like '%*'+ cast(isnull(UserID,'00000000-0000-0000-0000-000000000000') as nvarchar(200))+'*%')AND\r\n" +
				"		(Date >= @begtime)AND\r\n" +
				"		(Date <= @endtime+1)\r\n" +
				"\r\n" +
				"	union\r\n" +
				"\r\n" +
				"	select top 100 percent IDConn=Id, Type=2, UserID=AUserID, UserName=isnull(astr,'<>'), Date=TimeStart, Attach='', Text='', length = case when (IsRecorded<>1) then -1 else cast(round(cast((TimeStop-TimeAnswer)as float)*24*60*60,0) as int) end from A_Stat_Connections_1x1 where ANumberDialed = @phone and ConnectionType in (1,6,7) and (TimeStart >= @begtime) and (TimeStart <= @endtime+1) and (@type like '%*2*%')\r\n" +
				"\r\n" +
				"	union\r\n" +
				"\r\n" +
				"	select top 100 percent IDConn=Id, Type=1, UserID=BUserID, UserName=isnull(bstr,'<>'), Date=TimeStart, Attach='', Text='', length = case when (IsRecorded<>1) then -1 else cast(round(cast((TimeStop-TimeAnswer)as float)*24*60*60,0) as int) end from A_Stat_Connections_1x1 where AOutNumber = @phone and  ConnectionType in (4,5) and (TimeStart >= @begtime) and (TimeStart <= @endtime+1) and (@type like '%*1*%')\r\n" +
				"\r\n" +
				"	order by Date\r\n" +
				") u\r\n" +
				"order by Date\r\n" +
				"	--'5453627'\r\n" +
				"End\r\n" +
				"GO\r\n" +
				"\r\n" +
				"\r\n" +
				"\r\n" +
				"--     \r\n" +
				"if exists ( Select * FROM sysobjects where id = object_id ( 'dbo.C_ClientsPlugin_SaveContact' ) )\r\n" +
				"	Drop Procedure dbo.C_ClientsPlugin_SaveContact\r\n" +
				"GO\r\n" +
				"\r\n" +
				"Create Procedure dbo.C_ClientsPlugin_SaveContact\r\n" +
				"	@type int,\r\n" +
				"	@Clientid int,\r\n" +
				"	@userid uniqueidentifier,\r\n" +
				"	@email nvarchar(200),\r\n" +
				"	@number nvarchar(200),\r\n" +
				"	@attach nvarchar(1000),\r\n" +
				"	@text nvarchar(1000),\r\n" +
				"	@subject nvarchar(200)\r\n" +
				"As\r\n" +
				"Begin\r\n" +
				"	insert into C_ClientsPlugin_Stat (Type,ClientID,UserID,Email,Number,Date,Attach,Text,Subject,Sent)\r\n" +
				"	values(@type,@clientid,@userid,@email,@number,getdate(),@attach,@text,@subject,0)	\r\n" +
				"End\r\n" +
				"GO\r\n";
			#endregion

			return str;
		}

		public void ComboLoad()
		{
			CMapperXmlItemSetCollection coll;
			CMapperXmlItemSetCollection icoll;
			CMapperXmlItemSet iset;
			string query;
			string resxml;

			#region     WorkTypes

			WorkTypes.Clear();

			#region     
			
			// XML
			icoll = new CMapperXmlItemSetCollection (  );
			iset = new CMapperXmlItemSet ();
			icoll.Add ( iset );
			iset.Name = "db";
			iset.Add ( CMapperXmlItem.GetItem ( "sqltext", "Exec dbo.C_ClientsPlugin_GetWorkTypes" ) );
			query = icoll.WriteToXml ( "query" );

			resxml = "";
			if (OnQuery!=null)
				resxml = OnQuery(query);

			#endregion

			#region  xml
			coll = CMapperXmlItemSetCollection.FromXml ( resxml );
			if ( coll != null )
			{
				coll = coll [ 0 ].SubSets;
				CMapperXmlItemSetCollection coll2;
				CMapperXmlItemSetCollection coll3;

				if ( coll.Count >1 )
				{
					CMapperXmlItemSet headset = null;
					CMapperXmlItemSet dataset = null;

					for ( int i = 0; i < coll.Count; i++ )
					{
						CMapperXmlItemSet tset = coll [ i ];
						switch ( tset.Name.ToLower() )
						{
							case "tableheader":
								headset = tset;
								break;

							case "tabledata":
								dataset = tset;
								break;
						}
					}

					if (( headset != null ) && ( dataset != null ))
					{
						Hashtable hash = new Hashtable ();

						#region  
						coll = headset.SubSets;
						//  
						for ( int i = 0; i < coll.Count; i++ )
						{
							CMapperXmlItemSet tset = coll [ i ];
							if (tset.Count > 0 )
							{
								string tmps = CMapperXmlItem.GetValueName ( tset[0] );
								string Id = tset.IdName;
								string Value = null;
								for ( int i4 = 0; i4 < tset.Count; i4++ )
									if ( tset[i4].Key.ToLower() == "name" )
										Value = CMapperXmlItem.GetValueName (tset[i4] );
								hash [ Id ] = Value;
							}
						}
						#endregion

						#region  
						coll2 = dataset.SubSets;
						//  
						if ( coll2.Count > 0 )
						{
							for ( int i2 = 0; i2 < coll2.Count; i2++ )
							{					
								CMapperXmlItemSet tset = coll2 [ i2 ];
								coll3 = tset.SubSets;
								//  
								for ( int i3 = 0; i3 < coll3.Count; i3++ )
								{
									tset = coll3 [ i3 ];
									if (tset.Count > 0 )
									{
									
										string tmps = CMapperXmlItem.GetValueName ( tset[0] );

										switch ( (hash [tset.IdName] as string).ToLower() )
										{
											case "tip_work":
												WorkTypes.Add (tmps);
												break;
										}

									}
								}
							}
						}
						#endregion
					}
				}

			}
			#endregion

			#endregion

			#region    Managers

			Managers.Clear();

			#region    
	
			// XML
			icoll = new CMapperXmlItemSetCollection (  );
			iset = new CMapperXmlItemSet ();
			icoll.Add ( iset );
			iset.Name = "db";
			iset.Add ( CMapperXmlItem.GetItem ( "sqltext", "Exec dbo.C_ClientsPlugin_GetManagers" ) );
			query = icoll.WriteToXml ( "query" );

			resxml = "";
			if (OnQuery!=null)
				resxml = OnQuery(query);

			#endregion

			#region  xml
			coll = CMapperXmlItemSetCollection.FromXml ( resxml );
			if ( coll != null )
			{
				coll = coll [ 0 ].SubSets;
				CMapperXmlItemSetCollection coll2;
				CMapperXmlItemSetCollection coll3;

				if ( coll.Count > 1 )
				{
					CMapperXmlItemSet headset = null;
					CMapperXmlItemSet dataset = null;

					for ( int i = 0; i < coll.Count; i++ )
					{
						CMapperXmlItemSet tset = coll [ i ];
						switch ( tset.Name.ToLower() )
						{
							case "tableheader":
								headset = tset;
								break;

							case "tabledata":
								dataset = tset;
								break;
						}
					}

					if (( headset != null ) && ( dataset != null ))
					{
						Hashtable hash = new Hashtable ();

						#region  
						coll = headset.SubSets;
						//  
						for ( int i = 0; i < coll.Count; i++ )
						{
							CMapperXmlItemSet tset = coll [ i ];
							if (tset.Count > 0 )
							{
								string tmps = CMapperXmlItem.GetValueName ( tset[0] );
								string Id = tset.IdName;
								string Value = null;
								for ( int i4 = 0; i4 < tset.Count; i4++ )
									if ( tset[i4].Key.ToLower() == "name" )
										Value = CMapperXmlItem.GetValueName (tset[i4] );
								hash [ Id ] = Value;
							}
						}
						#endregion

						#region  
						coll2 = dataset.SubSets;
						//  
						if ( coll2.Count > 0 )
						{
							for ( int i2 = 0; i2 < coll2.Count; i2++ )
							{
								Manager manager = new Manager();
						
								CMapperXmlItemSet tset = coll2 [ i2 ];
								coll3 = tset.SubSets;
								//  
								for ( int i3 = 0; i3 < coll3.Count; i3++ )
								{
									tset = coll3 [ i3 ];
									if (tset.Count > 0 )
									{
									
										string tmps = CMapperXmlItem.GetValueName ( tset[0] );

										switch ( (hash [tset.IdName] as string).ToLower() )
										{
											case "id":
												manager.ID = new Guid (tmps);
												break;
											case "name":
												manager.Name = tmps;
												break;
										}

									}
								}
								Managers.Add ( manager );
							}
						}
						#endregion
					}
				}

			}
			#endregion

			if (OnManagersChanged!=null)
				OnManagersChanged();

			#endregion
		}

		/// <summary>
		///   
		/// </summary>
		/// <param name="activeindex"></param>
		/// <returns></returns>
		/// 
		public static string Tabs1()
		{
			// XML-   
			CMapperXmlItemSet iset = new CMapperXmlItemSet ( );
			iset.Name = "tabs";

			iset.Add ( CMapperXmlItem.GetItem ( "idshow", idshow ) );
			iset.Add ( CMapperXmlItem.GetItem ( "idform", idform ) );
			iset.Add ( CMapperXmlItem.GetItem ( "idplugin", idplugin ) );
			iset.Add ( CMapperXmlItem.GetItem ( "activeindex", 1 ) );

			CMapperXmlItemSet subset = null;

			subset = new CMapperXmlItemSet ( );
			iset.SubSets.Add ( subset );
			subset.Add ( CMapperXmlItem.GetItem ( "index", "1" ) );
			subset.Add ( CMapperXmlItem.GetItem ( "text", "" ) );

			return CMapperXmlItemSet.ToXml ( iset.Name, iset );
		}

		public static string Tabs2()
		{
			// XML-   
			CMapperXmlItemSet iset = new CMapperXmlItemSet ( );
			iset.Name = "tabs";

			iset.Add ( CMapperXmlItem.GetItem ( "idshow", idshow ) );
			iset.Add ( CMapperXmlItem.GetItem ( "idform", idform ) );
			iset.Add ( CMapperXmlItem.GetItem ( "idplugin", idplugin ) );
			iset.Add ( CMapperXmlItem.GetItem ( "activeindex", 1 ) );

			CMapperXmlItemSet subset = null;

			subset = new CMapperXmlItemSet ( );
			iset.SubSets.Add ( subset );
			subset.Add ( CMapperXmlItem.GetItem ( "index", "1" ) );
			subset.Add ( CMapperXmlItem.GetItem ( "text", "" ) );

			return CMapperXmlItemSet.ToXml ( iset.Name, iset );
		}

		public static string Tabs3( int activeindex )
		{
			// XML-   
			CMapperXmlItemSet iset = new CMapperXmlItemSet ( );
			iset.Name = "tabs";

			iset.Add ( CMapperXmlItem.GetItem ( "idshow", idshow ) );
			iset.Add ( CMapperXmlItem.GetItem ( "idform", idform ) );
			iset.Add ( CMapperXmlItem.GetItem ( "idplugin", idplugin ) );
			iset.Add ( CMapperXmlItem.GetItem ( "activeindex", activeindex ) );

			CMapperXmlItemSet subset = null;

			subset = new CMapperXmlItemSet ( );
			iset.SubSets.Add ( subset );
			subset.Add ( CMapperXmlItem.GetItem ( "index", "1" ) );
			subset.Add ( CMapperXmlItem.GetItem ( "text", "" ) );

            //subset = new CMapperXmlItemSet ( );
            //iset.SubSets.Add ( subset );
            //subset.Add ( CMapperXmlItem.GetItem ( "index", "2" ) );
            //subset.Add ( CMapperXmlItem.GetItem ( "text", "" ) );

            //subset = new CMapperXmlItemSet ( );
            //iset.SubSets.Add ( subset );
            //subset.Add ( CMapperXmlItem.GetItem ( "index", "3" ) );
            //subset.Add ( CMapperXmlItem.GetItem ( "text", " " ) );

			return CMapperXmlItemSet.ToXml ( iset.Name, iset );
		}

		/// <summary>
		///      ,     
		/// </summary>
		/// <param name="xml"></param>
		/// <returns></returns>
		private string cp_OnQuery(string xml)
		{
			if ( OnQuery != null )
				return OnQuery (xml);
			else
				return null;
		}


		#endregion
	}
}